using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.DTO.Organization;
using WingInterfaceLibrary.DTO.Rank;
using WingInterfaceLibrary.DTO.Role;
using WingInterfaceLibrary.DTO.Position;
using AutoMapper;
using WingMongoDBModule.DO;
using WingInterfaceLibrary.DTO.Management;
using WingInterfaceLibrary.DTO.UserFeature;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.DTO.IdentityApply;
using WingInterfaceLibrary.DTO.UserAuthorityGroup;
using WingInterfaceLibrary.DTO.Dictionary;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.DB.DO;
using WingInterfaceLibrary.DTO.AdminAuthorityGroup;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.DTO.AdminFeature;
using WingInterfaceLibrary.DTO.Patient;
using WingInterfaceLibrary.DTO.Record;
using System.Collections.Generic;
using WingServerCommon.Config;
using WingInterfaceLibrary.DTO.ReportTemplate;
using WingInterfaceLibrary.DTO.Report;
using WingInterfaceLibrary.DTO.Share;
using WingInterfaceLibrary.DTO.DiagnosisModule;
using WingMongoDBModule.DBSync;
using WingInterfaceLibrary.OpLog;
using WingInterfaceLibrary.DTO.Measure;
using WingInterfaceLibrary.Interface;
using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.DistributedServerInfo;
using WingInterfaceLibrary.DTO.AdminStatistic;
using WingInterfaceLibrary.DTO.Consultation;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.DTO.CMSStatistic;
using WingInterfaceLibrary.DTO.Statistic;
using WingInterfaceLibrary.Request.DBRequest;
using WingInterfaceLibrary.DTO.GradingProtection;
using WingMongoDBModule.Entities;
using WingInterfaceLibrary.DTO.Storage;
using WingInterfaceLibrary.DTO.Message;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.Request.Education;
using WingInterfaceLibrary.DTO.Courses;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Request.Courses;
using WingInterfaceLibrary.DTO.Payment;
using WingInterfaceLibrary.Result;
using WingInterfaceLibrary.DTO.Lab;
using WingInterfaceLibrary.DTO.DataCenter;
using WingInterfaceLibrary.Request.User;
using WingInterfaceLibrary.Request.Management;
using WingInterfaceLibrary.LiveConsultation.Consultation;
using WingInterfaceLibrary.Request.DBCopy;
using WingInterfaceLibrary.Request.Device;
using WingInterfaceLibrary.DTO.BaseFeature;
using WingInterfaceLibrary.DTO.Package;
using WingInterfaceLibrary.DTO.Project;
using WingInterfaceLibrary.DTO.Vital;
using WingInterfaceLibrary.Request.DBVitalRequest;
using WingInterfaceLibrary.Request.IOTDevice;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.DTO.FaceRecognition;
using WingInterfaceLibrary.ResearchEdition;

namespace WingMongoDBModule
{
    /// <summary>
    /// Auto mapper profile
    /// </summary>
    public class AutoMapperProfile : Profile
    {
        private static StorageSettings StorageSettingsParam = new StorageSettings();
        public AutoMapperProfile()
        {
            StorageSettingsParam = ConfigurationManager.StorageSettings;
            CreateMap<FrontAuthorityGroupDO, UserAuthorityGroupDTO>().ReverseMap();
            CreateMap<PageCollection<FrontAuthorityGroupDO>, PageCollection<UserAuthorityGroupDTO>>().ReverseMap();
            CreateMap<UserPositionDO, PositionDTO>().ReverseMap();
            CreateMap<PageCollection<UserPositionDO>, PageCollection<PositionDTO>>().ReverseMap();
            CreateMap<IdentityApplyInfoDO, IdentityApplyDTO>()
            // .ForMember(dest => dest.IdentityCard, opt => opt.MapFrom(src => GetFileUrlByTokenList(src.IdentityCard)))
            // .ForMember(dest => dest.LicenseCard, opt => opt.MapFrom(src => GetFileUrlByTokenList(src.LicenseCard)))
            .ReverseMap(); ;
            CreateMap<PageCollection<IdentityApplyInfoDO>, PageCollection<IdentityApplyDTO>>().ReverseMap();
            CreateMap<AdminInfoDO, AdminInfoDTO>()
            // .ForMember(dest => dest.HeadImageToken, opt => opt.MapFrom(src => GetFileUrlByToken(src.HeadImageToken)))
            .ReverseMap();
            CreateMap<PageCollection<AdminInfoDO>, PageCollection<AdminInfoDTO>>().ReverseMap();
            CreateMap<PageCollection<UserInfoDO>, PageCollection<WingInterfaceLibrary.DTO.User.UserDTO>>()
            .ReverseMap();
            CreateMap<UserInfoDO, ManageUserInfoDTO>()
            .ForMember(dest => dest.HeadImageUrl, opt => opt.MapFrom(src => src.HeadImageToken))
            .ReverseMap();
            CreateMap<UserInfoDO, ManageDeviceUserDTO>().ReverseMap();
            CreateMap<UserInfoDO, ManageOrganizationUserDTO>().ReverseMap();
            CreateMap<UserInfoDO, WingInterfaceLibrary.DTO.User.UserDTO>()
            .ForMember(dest => dest.HeadImageUrl, opt => opt.MapFrom(src => src.HeadImageToken))
            .ReverseMap();
            CreateMap<UserInfoDO, WingInterfaceLibrary.DTO.User.UserPasswordDTO>()
            .ForMember(dest => dest.HeadImageUrl, opt => opt.MapFrom(src => src.HeadImageToken))
            .ReverseMap();
            CreateMap<UserFeatureDO, UserFeatureInfoDTO>().ReverseMap();
            CreateMap<PageCollection<UserFeatureDO>, PageCollection<UserFeatureInfoDTO>>().ReverseMap();
            CreateMap<UserRoleDO, ManageRoleInfoDTO>().ReverseMap();
            CreateMap<DeviceInfoDO, ManageDeviceInfoDTO>()
            // .ForMember(dest => dest.HeadPicUrl, opt => opt.MapFrom(src => GetFileUrlByToken(src.HeadPicUrl)))
            .ReverseMap();
            CreateMap<DeviceInfoDO, DeviceInfoDTO>()
            // .ForMember(dest => dest.HeadPicUrl, opt => opt.MapFrom(src => GetFileUrlByToken(src.HeadPicUrl)))
            .ReverseMap();
            CreateMap<DictionaryDO, WingInterfaceLibrary.DTO.Dictionary.DictionaryDTO>()
            .ForMember(dest => dest.DictionaryType, opt => opt.MapFrom(src => (DictionaryTypeEnum)int.Parse(src.DictionaryType.ToString()))).ReverseMap();
            CreateMap<PageCollection<DeviceInfoDO>, PageCollection<DeviceInfoDTO>>().ReverseMap();
            CreateMap<OrganizationDO, ManageOrganizationDTO>().ReverseMap();
            CreateMap<OrganizationDO, WingInterfaceLibrary.DTO.Organization.OrganizationDTO>()
            // .ForMember(dest => dest.LogoUrl, opt => opt.MapFrom(src => GetFileUrlByToken(src.LogoUrl)))
            .ReverseMap();
            CreateMap<SettingClass, SettingDTOClass>().ReverseMap();
            CreateMap<PageCollection<OrganizationDO>, PageCollection<WingInterfaceLibrary.DTO.Organization.OrganizationDTO>>().ReverseMap();
            CreateMap<UserRankDO, RankDTO>().ReverseMap();
            CreateMap<UserRoleDO, WingInterfaceLibrary.DTO.Role.RoleDTO>()
            // .ForMember(dest => dest.IConUrl, opt => opt.MapFrom(src => GetFileUrlByToken(src.IConUrl)))
            .ReverseMap();
            CreateMap<PageCollection<UserRoleDO>, PageCollection<WingInterfaceLibrary.DTO.Role.RoleDTO>>().ReverseMap();
            CreateMap<UserRoleLanguageConfigDO, UserRoleLanguageConfigDTO>().ReverseMap();
            CreateMap<PageCollection<UserRoleLanguageConfigDO>, PageCollection<UserRoleLanguageConfigDTO>>().ReverseMap();
            CreateMap<AdminRoleLanguageConfigDO, UserRoleLanguageConfigDTO>().ReverseMap();
            CreateMap<PageCollection<AdminRoleLanguageConfigDO>, PageCollection<UserRoleLanguageConfigDTO>>().ReverseMap();
            CreateMap<UserPositionDO, PositionDTO>().ReverseMap();
            CreateMap<AdminAuthorityGroupDO, AdminAuthorityGroupDTO>().ReverseMap();
            CreateMap<AdminFeatureDO, AdminFeatureInfoDTO>().ReverseMap();
            CreateMap<PageCollection<AdminFeatureDO>, PageCollection<AdminFeatureInfoDTO>>().ReverseMap();
            CreateMap<AdminRoleDO, AdminRoleDTO>().ReverseMap();
            CreateMap<PageCollection<AdminAuthorityGroupDTO>, PageCollection<AdminAuthorityGroupDO>>().ReverseMap();
            CreateMap<PageCollection<AdminRoleDTO>, PageCollection<AdminRoleDO>>().ReverseMap();
            CreateMap<PatientInfoDO, PatientInfoDTO>()
            // .ForMember(dest => dest.HeadImgUrl, opt => opt.MapFrom(src => GetFileUrlByToken(src.HeadImgUrl)))
            // .ForMember(dest => dest.PatientData, opt => opt.MapFrom(src => GetObjectUrlByToken(src.PatientData)))
            .ReverseMap();
            CreateMap<PageCollection<PatientInfoDO>, PageCollection<PatientInfoDTO>>().ReverseMap();
            CreateMap<WingInterfaceLibrary.DTO.Record.PatientInfoExt, WingMongoDBModule.DO.PatientInfoExt>().ReverseMap();
            CreateMap<WingInterfaceLibrary.DTO.Common.DataItemDTO, WingMongoDBModule.DO.DataItem>().ReverseMap();
            CreateMap<RecordInfoDTO, RecordInfoDO>().ReverseMap();
            CreateMap<PageCollection<RecordInfoDTO>, PageCollection<RecordInfoDO>>().ReverseMap();
            CreateMap<SimpleRecordInfoDTO, RecordInfoDO>().ReverseMap();
            CreateMap<PageCollection<SimpleRecordInfoDTO>, PageCollection<RecordInfoDO>>().ReverseMap();
            CreateMap<RemedicalInfoDTO, RemedicalDO>().ReverseMap();
            CreateMap<RemedicalDO, RemedicalInfoDTO>()
            // .ForMember(dest => dest.ImageLocation, opt => opt.MapFrom(src => GetFileUrlByClass<ImageLocationDTO>(src.ImageLocation)))
            // .ForMember(dest => dest.TerminalImages, opt => opt.MapFrom(src => GetFileUrlByClass<TerminalImageDTO>(src.TerminalImages)))
            .ReverseMap();
            CreateMap<TerminalImageDTO, TerminalImageDO>().ReverseMap();
            CreateMap<ImageLocationDTO, ImageLocationDO>().ReverseMap();
            CreateMap<DiagnosisInfoDTO, DiagnosisInfoDO>().ReverseMap();
            CreateMap<CarotidResultDTO, CarotidResultDO>().ReverseMap();
            CreateMap<MeasureImageFileDTO, MeasureImageFileDO>().ReverseMap();
            CreateMap<ThesaurusDTO, ThesaurusDO>()
            .ForMember(dest => dest.ThesaurusItems, opt => opt.MapFrom(src => new List<ThesaurusItemDO>()))
            .ForMember(dest => dest.OrganizationCode, opt => opt.MapFrom(src => src.OrganizationCode ?? string.Empty))
            .ForMember(dest => dest.PersonalCode, opt => opt.MapFrom(src => src.PersonalCode ?? string.Empty)).ReverseMap();
            CreateMap<ThesaurusItemDTO, ThesaurusItemDO>().ReverseMap();
            CreateMap<PageCollection<ThesaurusDTO>, PageCollection<ThesaurusDO>>().ReverseMap();
            CreateMap<ReportTemplateDTO, ReportTemplateDO>()
            .ForMember(dest => dest.OrganizationCode, opt => opt.MapFrom(src => src.OrganizationCode ?? string.Empty))
            .ForMember(dest => dest.PersonalCode, opt => opt.MapFrom(src => src.PersonalCode ?? string.Empty)).ReverseMap();
            CreateMap<PageCollection<ReportTemplateDTO>, PageCollection<ReportTemplateDO>>().ReverseMap();
            CreateMap<WingInterfaceLibrary.DTO.Report.ReportDTO, ReportDO>().ReverseMap();
            CreateMap<ReportBaseDTO, ReportDO>().ReverseMap();
            CreateMap<ReportPreviewDTO, ReportPreviewDO>().ReverseMap();
            CreateMap<ReportLabelDTO, ReportLabelDO>().ReverseMap();
            CreateMap<PageCollection<ReportLabelDTO>, PageCollection<ReportLabelDO>>().ReverseMap();
            CreateMap<ShareDTO, ShareDO>().ReverseMap();
            CreateMap<WingInterfaceLibrary.OpLog.OperationLogDTO, OperationLog>().ReverseMap();
            CreateMap<DiagnosisModuleDTO, DiagnosisModuleDO>().ReverseMap();
            CreateMap<PageCollection<DiagnosisModuleDTO>, PageCollection<DiagnosisModuleDO>>().ReverseMap();
            CreateMap<TokenDO, TokenDTO>().ReverseMap();
            CreateMap<MeasuredResultsDTO, MeasuredResultsDO>().ReverseMap();
            CreateMap<FetusNodeDTO, FetusNodeDO>().ReverseMap();
            CreateMap<ChildrenFetusNodeDTO, ChildrenFetusNodeDO>().ReverseMap();
            CreateMap<MeasuredFeatureDTO, MeasuredFeatureDO>().ReverseMap();
            CreateMap<MeasuredValueDTO, MeasuredValueDO>().ReverseMap();
            CreateMap<PointDTO, PointDO>().ReverseMap();
            CreateMap<ScanImageDTO, ScanImageDO>().ReverseMap();
            CreateMap<VisualDTO, VisualDO>().ReverseMap();
            CreateMap<VisualKeyDTO, VisualKeyDO>().ReverseMap();
            CreateMap<VisualAreaDTO, VisualAreaDO>().ReverseMap();
            CreateMap<BaseAreaDTO, BaseAreaDO>().ReverseMap();
            CreateMap<AdornerDTO, AdornerDO>().ReverseMap();
            CreateMap<ThirdPartyInfoDO, ThirdPartyInfoDTO>().ReverseMap();
            CreateMap<LogEntry, WingInterfaceLibrary.DTO.Management.DBLog>().ForMember(dest => dest.Level, opt => opt.MapFrom(src => (LogEventLevel)src.Level.GetHashCode()));
            CreateMap<UserDefinedMeasureApplicationDTO, UserDefinedMeasureApplicationDO>().ReverseMap();
            CreateMap<UserDefinedMeasureModeDTO, UserDefinedMeasureModeDO>().ReverseMap();
            CreateMap<UserDefinedMeasureGroupDTO, UserDefinedMeasureGroupDO>().ReverseMap();
            CreateMap<UserDefinedItemMetaDTO, UserDefinedItemMetaDO>().ReverseMap();
            CreateMap<UserDefinedMeasureFolderDTO, UserDefinedMeasureFolderDO>().ReverseMap();
            CreateMap<UserDefinedCommentDataDTO, UserDefinedCommentDataDO>().ReverseMap();
            CreateMap<UserDefinedMeasureInfoDTO, UserDefinedMeasureInfoDO>().ReverseMap();
            CreateMap<CommentItemDTO, CommentItemDO>().ReverseMap();
            CreateMap<ReportPosterDTO, ReportPosterDO>().ReverseMap();
            CreateMap<ReportPushRecordDTO, ReportPushRecordDO>().ReverseMap();
            CreateMap<DistributedServerInfoDTO, DistributedServerInfoDO>().ReverseMap();
            CreateMap<IPAddressInfoDTO, IPAddressInfoDO>().ReverseMap();
            CreateMap<IPAddressInfoDO, IPAddressInfoDTO>().ReverseMap();
            CreateMap<ReferralRecordDO, ReferralRecordDTO>().ReverseMap();
            CreateMap<WingInterfaceLibrary.DTO.Record.CreateReportClass, DO.CreateReportClass>().ReverseMap();
            CreateMap<ReferralRecordSettingDTO, ReferralRecordSettingDO>().ReverseMap();
            CreateMap<AdminStatisticDTO, AdminStatisticDO>().ReverseMap();
            CreateMap<AdminStatisticRecordDTO, AdminStatisticRecordDO>().ReverseMap();
            CreateMap<WingInterfaceLibrary.DTO.Statistic.StatisticDTO, StatisticDO>().ReverseMap();
            CreateMap<StatisticRecordDTO, StatisticRecordDO>().ReverseMap();
            CreateMap<StatisticInfoDTO, StatisticInfoDO>().ReverseMap();
            CreateMap<SaveStatisticRecordDBRequest, StatisticInfoDO>();
            CreateMap<RemedicalMeasuredInfoDTO, RemedicalMeasuredInfoDO>().ReverseMap();
            CreateMap<SyncConsultationRequest, ConsultationRecordEntity>().ReverseMap();
            CreateMap<ConsultationRecordEntity, ConsultationDetailDTO>()
            .ForMember(dest => dest.AssistantUserCode, opt => opt.Ignore())
            .ForMember(dest => dest.AssistantUserName, opt => opt.Ignore())
            .ForMember(dest => dest.ConsultationTime, opt => opt.MapFrom(src => src.ConsultationTime.ToUniversalTime()))
            .ForMember(dest => dest.ConsultationTimeEnd, opt => opt.MapFrom(src => src.ConsultationTimeEnd.ToUniversalTime())).ReverseMap();
            CreateMap<ConsultationFileBaseDTO, ConsultationFileDO>().ReverseMap();
            CreateMap<ConsultationFileDTO, ConsultationFileDO>().ReverseMap();
            CreateMap<ConsultationReminderDTO, ConsultationReminderDO>().ReverseMap();
            CreateMap<LiveRoomDTO, LiveRoomEntity>().ReverseMap();
            CreateMap<LiveMemberDTO, LiveMemberDO>().ReverseMap();
            CreateMap<VideoDeviceInfoDTO, VideoDeviceInfoDO>().ReverseMap();
            CreateMap<LiveDataDTO, LiveDataDO>().ReverseMap();
            CreateMap<LiveViewerDTO, LiveViewerDO>().ReverseMap();
            CreateMap<UserInfoDO, ConsultationAssistantDTO>().ForMember(dest => dest.HeadImageUrl, opt => opt.MapFrom(src => src.HeadImageToken)).ReverseMap();
            CreateMap<WingInterfaceLibrary.DTO.User.UserDTO, ConsultationExpertDTO>();
            CreateMap<ConsultationMemberDTO, ConsultationMemberDO>().ReverseMap();
            CreateMap<ConsultationMemberDO, ConsultationMemberDTO>().ReverseMap();
            CreateMap<LoginLockInfoDTO, LoginLockInfoDO>().ReverseMap();
            CreateMap<CMSTemplateDTO, CMSTemplateDO>().ReverseMap();
            CreateMap<MessageInfoEntity, MessageInfoDTO>().ReverseMap();
            CreateMap<ClientInfoEntity, ClientInfoDTO>().ReverseMap();
            CreateMap<VideoDeviceDO, VideoDeviceDTO>().ReverseMap();
            CreateMap<GradingProtectionConfigEntity, GradingProtectionConfigDTO>().ReverseMap();
            CreateMap<ConsultationEvaluateEntity, ConsultationEvaluateDTO>().ReverseMap();
            CreateMap<ScheduleEntity, WingInterfaceLibrary.DTO.Schedule.ScheduleDTO>().ReverseMap();
            CreateMap<AnnouncementInfoEntity, AnnouncementInfoDTO>().ReverseMap();
            CreateMap<AnnouncementLanguageConfigEntity, AnnouncementLanguageConfigDTO>().ReverseMap();
            CreateMap<LabelLanguageConfigEntity, LabelLanguageConfigDTO>().ReverseMap();
            CreateMap<CourseInfoEntity, BaseCourseInfoDTO>().ForMember(dest => dest.Cover, opt => opt.MapFrom(src => src.Poster)).ReverseMap();
            CreateMap<CourseInfoEntity, CoursePageDTO>().ForMember(dest => dest.Cover, opt => opt.MapFrom(src => src.Poster)).ReverseMap();
            CreateMap<CourseInfoEntity, CourseInfoDetailDTO>().ForMember(dest => dest.Cover, opt => opt.MapFrom(src => src.Poster)).ReverseMap();
            CreateMap<CourseInfoEntity, CourseInfoDBRequest>().ForMember(dest => dest.Cover, opt => opt.MapFrom(src => src.Poster)).ReverseMap();
            CreateMap<ScreenSharingChannelDO, ScreenSharingChannelDTO>().ReverseMap();
            CreateMap<UserGroupEntity, UserGroupDTO>().ReverseMap();
            CreateMap<StudentInfoEntity, StudentInfoDTO>().ReverseMap();
            CreateMap<UserGroupRequest, UserGroupEntity>().ReverseMap();
            CreateMap<ExaminationPaperEntity, ExaminationPaperDTO>().ReverseMap();
            CreateMap<QuestionDetail, QuestionDetailDTO>().ReverseMap();
            CreateMap<ExaminationQuestionEntity, ExaminationQuestionDTO>().ReverseMap();
            CreateMap<VideoInfoEntity, VideoInfoDTO>().ReverseMap();
            CreateMap<SaveVideoRequest, VideoInfoEntity>().ReverseMap();
            CreateMap<OrderEntity, OrderDetailDTO>().ForMember(dest => dest.OrderUserName, opt => opt.Ignore()).ReverseMap();
            CreateMap<PageCollection<OrderEntity>, PageCollection<OrderDetailDTO>>().ReverseMap();
            CreateMap<PaymentRecordDTO, PaymentRecordEntity>().ReverseMap();
            CreateMap<PageCollection<PaymentRecordDTO>, PageCollection<PaymentRecordEntity>>().ReverseMap();
            CreateMap<CourseExaminationQuestionDTO, CourseExaminationQuestionEntity>().ReverseMap();
            CreateMap<CourseExaminationDTO, CourseExaminationEntity>().ReverseMap();
            CreateMap<RemoteExaminationPageDTO, RemoteExaminationDataEntity>().ReverseMap();
            CreateMap<RemoteExaminationDTO, RemoteExaminationDataEntity>().ReverseMap();
            CreateMap<StudentExaminationEntity, StudentExaminationDTO>().ReverseMap();
            CreateMap<ExaminationAnswerEntity, ExaminationAnswerDTO>().ReverseMap();
            CreateMap<ProductEntity, ProductDetailDTO>().ReverseMap();
            CreateMap<AssociatedInfo, AssociatedInfoDTO>().ReverseMap();
            CreateMap<ClearLogOperateDO, ClearLogOperateDTO>().ReverseMap();
            CreateMap<BrandModelOutputConfig, BrandModelOutputConfigDTO>().ReverseMap();
            CreateMap<BrandModelOutputConfig, BrandModelDetailDTO>().ReverseMap();
            CreateMap<Resolution, ResolutionDTO>().ReverseMap();
            CreateMap<MeasureExportRecordDTO, MeasureExportRecordEntity>().ReverseMap();
            CreateMap<MeasureExportRecordEntity, MeasureExportRecordDTO>().ReverseMap();
            CreateMap<LabFolderEntity, LabFolderDTO>().ReverseMap();
            CreateMap<DevicePatchEntity, DevicePatchDTO>().ReverseMap();
            CreateMap<DevicePatchVersionEntity, DevicePatchVersionDTO>().ReverseMap();
            CreateMap<DevicePrinterEntity, DevicePrinterDTO>().ReverseMap();
            CreateMap<MeasureExportDetailDTO, MeasureExportDetailEntity>().ReverseMap();
            CreateMap<MeasureExportDetailEntity, MeasureExportDetailDTO>().ReverseMap();
            CreateMap<RemedicalAISelectedInfoEntity, RemedicalAISelectedInfoDTO>().ReverseMap();
            CreateMap<SystemConfigEntity, SystemConfigDTO>().ReverseMap();
            CreateMap<SystemConfigDTO, SystemConfigEntity>().ReverseMap();
            CreateMap<CourseAlbumDTO, CourseAlbumEntity>().ReverseMap();
            CreateMap<StudentInfoDTO, LearnerEntity>().ReverseMap();
            CreateMap<LearnerEntity, StudentInfoDTO>().ReverseMap();
            CreateMap<SignStudentEntity, MyCoursePageDTO>().ReverseMap();
            CreateMap<CourseAlbumEntity, CourseAlbumDetailDTO>().ReverseMap();
            CreateMap<UserMigratoryInfo, UserInfoDO>().ReverseMap();
            CreateMap<DeviceMigratoryInfo, DeviceInfoDO>().ReverseMap();
            CreateMap<PosterConfigMigratoryInfo, ReportPosterDO>().ReverseMap();
            CreateMap<OrganizationMigratoryInfo, OrganizationDO>().ReverseMap();
            CreateMap<AdminMigratoryInfo, AdminInfoDO>().ReverseMap();
            CreateMap<ReportTemplateMigratoryInfo, ReportTemplateDO>().ReverseMap();
            CreateMap<CourseLabelMigratoryInfo, CourseLabelEntity>().ReverseMap();
            CreateMap<UserGroupMigratoryInfo, UserGroupEntity>().ReverseMap();
            CreateMap<CourseMigratoryInfo, CourseInfoEntity>().ReverseMap();
            CreateMap<VideoMigratoryInfo, VideoInfoEntity>().ReverseMap();
            CreateMap<ExamMigratoryInfo, ExaminationPaperEntity>().ReverseMap();
            CreateMap<ExaminationQuestionDTO, ExaminationQuestionEntity>().ReverseMap();
            CreateMap<ExaminationAnswerDTO, ExaminationAnswerEntity>().ReverseMap();
            CreateMap<StudentExaminationDTO, StudentExaminationEntity>().ReverseMap();
            CreateMap<CourseInfoEntity, OnlineTrainingDTO>().ReverseMap();
            CreateMap<CourseLabelEntity, CourseLabelView>().ReverseMap();
            CreateMap<FileDiagnosisResultDTO, RemedicalDO>().ReverseMap();

            CreateMap<UserGroupEntity, GroupView>().ReverseMap();
            CreateMap<LearnerEntity, LearnerView>().ReverseMap();
            CreateMap<CourseLabelEntity, CourseLabelDTO>().ReverseMap();
            CreateMap<LabelLanguageConfigEntity, LabelLanguageConfigDTO>().ReverseMap();
            CreateMap<LabelLanguageConfigEntity, LabelLanguageConfigView>().ReverseMap();
            CreateMap<StudentInfoEntity, StudentView>().ReverseMap();
            CreateMap<StudentInfoEntity, SignStudentView>().ReverseMap();
            CreateMap<ShareInfoEntity, ShareInfoDTO>().ReverseMap();
            CreateMap<ChatMessageEntity, ChatMessagesDTO>().ReverseMap();
            CreateMap<CourseExaminationView, CourseExaminationEntity>().ReverseMap();
            CreateMap<CourseExaminationQuestionView, CourseExaminationQuestionEntity>().ReverseMap();
            CreateMap<VideoInfoEntity, OnlineVideoDTO>().ReverseMap();
            CreateMap<QuestionDetail, ExamQuestionView>().ReverseMap();
            CreateMap<ExaminationPaperEntity, ExamPaperDTO>().ReverseMap();
            CreateMap<CourseAlbumEntity, CourseAlbumView>().ReverseMap();
            CreateMap<SyncFollowUpVisitRequest, FollowUpVisitEntity>().ReverseMap();
            CreateMap<SyncEvaluatesRequest, ConsultationEvaluateEntity>().ReverseMap();
            CreateMap<FollowUpVisitEntity, SyncFollowUpVisitRequest>().ReverseMap();
            CreateMap<ConsultationEvaluateEntity, SyncEvaluatesRequest>().ReverseMap();
            CreateMap<MigrateDevicePrinterInfo, DevicePrinterEntity>().ReverseMap();
            CreateMap<MigrateDevicePatchInfo, DevicePatchEntity>().ReverseMap();
            CreateMap<ReferralData, ReferralDataEntity>().ReverseMap();
            CreateMap<UserFeatureLanguageConfigDO, BaseFeatureLanguageConfigDTO>().ReverseMap();
            CreateMap<BaseFeatureLanguageConfigDTO, UserFeatureLanguageConfigDO>().ReverseMap();

            CreateMap<PackagesEntity, PackagesDTO>().ReverseMap();
            CreateMap<ProjectInfoEntity, ProjectInfoDTO>().ReverseMap();
            CreateMap<ProjectOrganizationEntity, ProjectOrganizationDTO>().ReverseMap();
            CreateMap<ProjectPosterEntity, ProjectPosterDTO>().ReverseMap();
            CreateMap<ProjectPushRecordEntity, ProjectPushRecordDTO>().ReverseMap();

            CreateMap<CourseBrowsedRecordDTO, CourseBrowsedRecordEntity>().ReverseMap();
            CreateMap<CourseBrowsedRecordEntity, CourseBrowsedRecordDTO>().ReverseMap();
            CreateMap<CourseBrowsedRecordEntity, CourseBrowsedRecordRequest>().ReverseMap();
            CreateMap<CourseBrowsedRecordRequest, CourseBrowsedRecordEntity>().ReverseMap();

            CreateMap<BrowsedTimeRecordInfoDTO, BrowsedTimeRecordEntity>().ReverseMap();
            CreateMap<BrowsedTimeRecordEntity, BrowsedTimeRecordInfoDTO>().ReverseMap();
            // CreateMap<CourseStatisticsInfoEntity, CourseStatisticsInfoDTO>().ReverseMap();
            // CreateMap<CourseStatisticsInfoDTO, CourseStatisticsInfoEntity>().ReverseMap();

            // CreateMap<CourseStatisticsOnlineDetailEntity, CourseStatisticsOnlineDetailDTO>().ReverseMap();
            // CreateMap<CourseStatisticsOnlineDetailDTO, CourseStatisticsOnlineDetailEntity>().ReverseMap();

            //人员登记
            CreateMap<PersonInfoBaseDTO, RegisterPersonInfoEntity>().ReverseMap();
            CreateMap<PersonInfoFullDTO, RegisterPersonInfoEntity>().ReverseMap();
            CreateMap<PersonRegisterDTO, PersonRegisterEntity>().ReverseMap();
            CreateMap<PageCollection<PersonInfoBaseDTO>, PageCollection<RegisterPersonInfoEntity>>().ReverseMap();
            CreateMap<PageCollection<PersonInfoFullDTO>, PageCollection<RegisterPersonInfoEntity>>().ReverseMap();
            //健康体检预约
            CreateMap<HealthExamBookingDTO, HealthExamBookingEntity>().ReverseMap();
            CreateMap<HealthExamPersonDTO, HealthExamPersonEntity>().ReverseMap();
            CreateMap<HealthExamItemDTO, HealthExamItemEntity>().ReverseMap();
            CreateMap<PageCollection<HealthExamBookingDTO>, PageCollection<HealthExamBookingEntity>>().ReverseMap();
            CreateMap<PageResult<HealthExamBookingDTO>, PageResult<HealthExamBookingEntity>>().ReverseMap();
            CreateMap<PageResult<HealthExamBookingDTO>, PageCollection<HealthExamBookingEntity>>().ReverseMap();

            //IOT设备数据
            CreateMap<DeviceReportDTO, DeviceReportEntity>().ReverseMap();
            CreateMap<DeviceReportEntity, DeviceReportDTO>().ReverseMap();

            CreateMap<IOTDeviceVersionEntity, IOTDeviceVersionDTO>().ReverseMap();
            CreateMap<IOTDeviceVersionDTO, IOTDeviceVersionEntity>().ReverseMap();

            //健康体检登记
            CreateMap<RegisterInfoEntity, RegisterInfoDTO>().ReverseMap();
            CreateMap<PageCollection<RegisterInfoEntity>, PageCollection<RegisterInfoDTO>>().ReverseMap();

            CreateMap<RegisterInfoEntity, RegisterPersonInfoDTO>().ReverseMap();
            //心电记录
            CreateMap<ElectrocardiogramEntity, CreateElectrocardiogramDBRequest>().ReverseMap();
            CreateMap<ElectrocardiogramEntity, ElectrocardiogramRecord>().ReverseMap();
            CreateMap<PageCollection<ElectrocardiogramEntity>, PageCollection<ElectrocardiogramRecord>>().ReverseMap();
            
            CreateMap<SaveCommonDictionaryRequest, CommonDictionaryEntity>().ReverseMap();
            CreateMap<CommonDictionaryEntity, SaveCommonDictionaryRequest>().ReverseMap();
            CreateMap<CommonDictionaryEntity, CommonDictionaryDTO>().ReverseMap();
            CreateMap<CommonDictionaryDTO, CommonDictionaryEntity>().ReverseMap();
            
            CreateMap<FaceRecognitionEntity, FaceRecognitionDTO>().ReverseMap().ForAllOtherMembers(opt => opt.AllowNull());
            CreateMap<PageCollection<FaceRecognitionEntity>, PageCollection<FaceRecognitionDTO>>().ReverseMap().ForAllOtherMembers(opt => opt.AllowNull());


            //统计数据            
            CreateMap<WingMongoDBModule.DO.DataItem, WingInterfaceLibrary.DTO.Common.DataItemDTO>().ReverseMap();
            CreateMap<WingMongoDBModule.DO.DataItem, WingInterfaceLibrary.DTO.Vital.DataItemDTO>().ReverseMap();

            CreateMap<CreateResearchProjectDBRequest, ResearchProjectEntity>().ReverseMap();
            CreateMap<ResearchProjectEntity, ResearchProjectBaseDTO>().ReverseMap();
            CreateMap<ResearchProjectEntity, ResearchProjectDTO>().ReverseMap();
            CreateMap<ResearchProjectData, ResearchProjectDataDTO>().ReverseMap();
            CreateMap<TaskMainEntity, TaskBaseDTO>().ReverseMap();
            CreateMap<TaskMainEntity, MainTaskDTO>().ReverseMap();
            CreateMap<UserInfoDO, UserBaseDTO>().ReverseMap();
            CreateMap<TaskEntity, TaskDTO>().ReverseMap();

            
            CreateMap<IOTDeviceBindUserDataRequest, UserDeviceExtendInfoEntity>().ReverseMap();
            CreateMap<UserDeviceExtendInfoEntity, IOTDeviceUserInfoDTO>().ReverseMap();
            CreateMap<IOTDeviceFileDataRecordEntity, IOTDeviceFileDataRecordDTO>().ReverseMap();
            CreateMap<IOTDeviceDataFolderEntity, IOTDeviceDataFolderDTO>().ReverseMap();
            
            CreateMap<LicenseInfoEntity, LicenseInfoBasicDTO>().ReverseMap();
            CreateMap<LicenseInfoEntity, LicenseDetailInfoDTO>().ReverseMap();
            CreateMap<DongleInfoEntity, DongleDetailInfoDTO>().ReverseMap();

            CreateMap<ChargeResourcePackageEntity, ChargeResourcePackageDTO>().ReverseMap();
            CreateMap<ChargeResourcePackageDTO, ChargeResourcePackageEntity>().ReverseMap();
            CreateMap<BindChargeResourcePackageDO, BindChargeResourcePackageDTO>().ReverseMap();
            CreateMap<BindChargeResourcePackageDTO, BindChargeResourcePackageDO>().ReverseMap();
            CreateMap<MultiPartUploadInfoEntity, MultiPartUploadInfoDTO>().ReverseMap();
            CreateMap<MultiPartUploadInfoDTO, MultiPartUploadInfoEntity>().ReverseMap();
            CreateMap<SaveChargeResourcePackageRequest, ChargeResourcePackageEntity>().ReverseMap();
            CreateMap<UserInfoDO, IOTDeviceUserExtendInfoDTO>().ReverseMap();
            CreateMap<BodyPatternDTO, BodyPatternDO>().ReverseMap();
            CreateMap<UserDefinedBodyPatternDataDTO, UserDefinedBodyPatternDataDO>().ReverseMap();
            CreateMap<BodyPatternDO, BodyPatternDTO>().ReverseMap();
            CreateMap<UserDefinedBodyPatternDataDO, UserDefinedBodyPatternDataDTO>().ReverseMap();
            
            
            


            // CreateMap<CountyHealthPlatformStatisticsDTO, CountyHealthPlatformStatisticsEntity>().ReverseMap();
            // // CreateMap<TownStatisticsDTO, TownStatisticsEntity>().ReverseMap();
            // // CreateMap<ArchivesStatisticsDTO,ArchivesStatisticsEntity>().ReverseMap();
            // // CreateMap<SignStatisticsBasicDTO,SignStatisticsBasicEntity>().ReverseMap();
            // // CreateMap<MapCommonStatisticsDTO,MapCommonStatisticsEntity>().ReverseMap();
            // CreateMap<TownHealthPlatformStatisticsDTO,TownHealthPlatformStatisticsEntity>().ReverseMap();
            // // CreateMap<HealthManagerEffectSubordinateStatisticsDTO,HealthManagerEffectSubordinateStatisticsEntity>().ReverseMap();
            // CreateMap<VillageHealthPlatformStatisticsDTO, VillageHealthPlatformStatisticsEntity>().ReverseMap();
            // // CreateMap<PlatformStatisticsDTO, PlatformStatisticsEntity>().ReverseMap();
            // // CreateMap<PopulationBasicStatisticsDTO, PopulationBasicStatisticsEntity>().ReverseMap();
            // // CreateMap<PopulationControlStatisticsDTO, PopulationControlStatisticsEntity>().ReverseMap();
            // // CreateMap<PopulationFinishStatisticsDTO, PopulationFinishStatisticsEntity>().ReverseMap();
        }

        // /// <summary>
        // /// 查询文件Token值查询完整的文件下载路径
        // /// </summary>
        // /// <param name="fileToken">存储的文件token</param>
        // /// <returns>文件的完整下载链�returns>
        // private List<DataItemDTO> GetObjectUrlByToken(List<DataItemDTO> patientData)
        // {
        //     try
        //     {
        //         var patientInfo = patientData.Find(c => c.Key.Contains("HeadImgUrl"));
        //         if (patientInfo == null)
        //         {
        //             return patientData;
        //         }
        //         var img = GetFileUrlByToken(patientInfo.Value);
        //         patientInfo.Value = img;
        //         return patientData;
        //     }
        //     catch (Exception ex)
        //     {
        //         Logger.WriteLineError($"GetObjectUrlByToken error {ex}");
        //         return new List<DataItemDTO>();
        //     }
        // }

        // /// <summary>
        // /// 查询对象文件Token值查询完整的文件下载路径
        // /// </summary>
        // /// <param name="obj">do数据对象</param>
        // /// <returns>do对应的dto数据对象<returns>
        // private T GetFileUrlByClass<T>(object obj)
        // {
        //     //创建DTO对象
        //     Type type = typeof(T);
        //     T t = (T)Activator.CreateInstance(type, true);
        //     PropertyInfo[] properties = obj.GetType().GetProperties();
        //     //遍历DO对象
        //     foreach (PropertyInfo prop in properties)
        //     {
        //         if (prop.Name.Contains("Url"))
        //         {
        //             var oldValue = prop.GetValue(obj);
        //             var newValue = GetFileUrlByToken(oldValue == null ? "" : oldValue.ToString());
        //             //名称相同，然后赋�
        //             t.GetType().GetProperty(prop.Name).SetValue(t, newValue);
        //         }
        //     }
        //     return t;
        // }

        // /// <summary>
        // /// 查询文件Token值查询完整的文件下载路径
        // /// </summary>
        // /// <param name="fileToken">存储的文件token</param>
        // /// <returns>文件的完整下载链�returns>
        // private string GetFileUrlByToken(string fileToken)
        // {
        //     try
        //     {
        //         if (!string.IsNullOrEmpty(fileToken))
        //         {
        //             var storageServerEnumStr = "";
        //             if (fileToken.Contains("http://") || fileToken.Contains("https://"))
        //             {
        //                 return string.Empty;
        //             }
        //             if (StorageSettingsParam == null)
        //             {
        //                 return string.Empty;
        //             }
        //             //读取配置
        //             var _storageServerUrl = string.Empty;
        //             var storageNode = ConfigurationManager.GetParammeter<StringParameter>("Storage", "StorageNode").Value;
        //             string storageNodeType = "0";
        //             var fileTokenArray = fileToken.Split('_');
        //             if (fileTokenArray.Length > 3)
        //             {
        //                 storageNodeType = fileToken.Split('_')[fileTokenArray.Length - 2];
        //             }
        //             if (!string.IsNullOrEmpty(storageNodeType))
        //             {
        //                 var secondDomain = "";
        //                 if (fileTokenArray.Length > 4)
        //                 {
        //                     secondDomain = Enum.GetName(typeof(WingInterfaceLibrary.Enum.StorageServerEnum), ToInt(fileTokenArray[fileTokenArray.Length - 3]));
        //                 }
        //                 else if (fileTokenArray.Length > 3)
        //                 {
        //                     secondDomain = Enum.GetName(typeof(WingInterfaceLibrary.Enum.StorageServerEnum), ToInt(fileTokenArray[fileTokenArray.Length - 2]));
        //                 }
        //                 else if (fileTokenArray.Length > 2)
        //                 {
        //                     secondDomain = Enum.GetName(typeof(WingInterfaceLibrary.Enum.StorageServerEnum), ToInt(fileTokenArray[fileTokenArray.Length - 1]));
        //                 }
        //                 else
        //                 {
        //                     secondDomain = Enum.GetName(typeof(WingInterfaceLibrary.Enum.StorageServerEnum), 0);
        //                 }
        //                 storageServerEnumStr = secondDomain;
        //                 if (storageNodeType != "0")
        //                 {
        //                     if (!string.IsNullOrEmpty(secondDomain))
        //                     {
        //                         secondDomain += "." + storageNodeType;
        //                     }
        //                     else
        //                     {
        //                         secondDomain += storageNodeType;
        //                     }
        //                 }
        //                 else {
        //                     if (!string.IsNullOrEmpty(secondDomain))
        //                     {
        //                         secondDomain += "." + ConfigurationManager.GetParammeter<StringParameter>("Storage", "StorageNode").Value;
        //                     }
        //                     else
        //                     {
        //                         secondDomain += ConfigurationManager.GetParammeter<StringParameter>("Storage", "StorageNode").Value;
        //                     }
        //                 }
        //                 var bucketType = "0";
        //                 if (fileTokenArray.Length > 4)
        //                 {
        //                     bucketType = fileTokenArray[fileTokenArray.Length - 1];
        //                 }
        //                 if (bucketType == "0") {
        //                     bucketType = ConfigurationManager.GetParammeter<StringParameter>("Storage", "Bucket").Value;
        //                 }
        //                 if (!string.IsNullOrEmpty(bucketType))
        //                 {
        //                     if (string.IsNullOrEmpty(secondDomain))
        //                     {
        //                         secondDomain = bucketType;
        //                     }
        //                     else
        //                     {
        //                         secondDomain = bucketType + "." + secondDomain;
        //                     }
        //                 }
        //                 if (storageServerEnumStr == "COS")
        //                 {
        //                     _storageServerUrl = StorageSettingsParam.CDNServerUrl + secondDomain + ".myqcloud.com";
        //                 }
        //                 else
        //                 {
        //                     _storageServerUrl = StorageSettingsParam.CDNServerUrl + "/" + secondDomain;
        //                 }
        //                 //_storageServerUrl = _storageServerUrl.Replace("_", "-");
        //             }
        //             else
        //             {
        //                 return string.Empty;
        //             }
        //             var name = "";
        //             var fileExtension = "";
        //             //生成文件
        //             if (fileTokenArray.Length > 4)
        //             {
        //                 int.TryParse(fileTokenArray[fileTokenArray.Length - 4], out int extensionNum);
        //                 fileExtension = Enum.GetName(typeof(UploadFileTypeEnum), extensionNum);
        //                 for (var i = 0; i < (fileTokenArray.Length - 4); i++)
        //                 {
        //                     name += fileTokenArray[i];
        //                 }
        //             }
        //             else
        //             {
        //                 if (fileTokenArray.Length > 1)
        //                 {
        //                     int.TryParse(fileTokenArray[1], out int extensionNum);
        //                     fileExtension = Enum.GetName(typeof(UploadFileTypeEnum), extensionNum);
        //                     name += fileTokenArray[0];
        //                 }
        //                 else
        //                 {
        //                     fileExtension = Enum.GetName(typeof(UploadFileTypeEnum), 7);
        //                     name = fileToken;
        //                 }
        //             }
        //             string fileName = $"{name}.{fileExtension}";
        //             var fileUrl = $"{_storageServerUrl}/{fileName}";
        //             if (storageServerEnumStr == "COS")
        //             {
        //                 fileUrl = fileUrl.ToLower();
        //             }
        //             return fileUrl;
        //         }
        //         return string.Empty;
        //     }
        //     catch (Exception ex)
        //     {
        //         Logger.WriteLineError($"GetFileUrlByToken error {ex}");
        //         return string.Empty;
        //     }
        // }

        // /// <summary>
        // /// 查询文件Token值查询完整的文件下载路径
        // /// </summary>
        // /// <param name="fileTokenList">存储的文件token</param>
        // /// <returns>文件的完整下载链�returns>
        // private string[] GetFileUrlByTokenList(string[] fileTokenList)
        // {
        //     var fileList = new List<string>();
        //     try
        //     {
        //         if (fileTokenList?.Length > 0)
        //         {
        //             foreach (var fileToken in fileTokenList)
        //             {
        //                 if (!string.IsNullOrEmpty(fileToken))
        //                 {
        //                     if (fileToken.Contains("http://") || fileToken.Contains("https://"))
        //                     {
        //                         fileList.Add(string.Empty);
        //                         continue;
        //                     }
        //                     //读取配置
        //                     var storageServerEnumStr = "";
        //                     var _storageServerUrl = string.Empty;
        //                     var storageNode = ConfigurationManager.GetParammeter<StringParameter>("Storage", "StorageNode").Value;
        //                     string storageNodeType = "0";
        //                     var fileTokenArray = fileToken.Split('_');
        //                     if (fileTokenArray.Length > 3)
        //                     {
        //                         storageNodeType = fileToken.Split('_')[fileTokenArray.Length - 2];
        //                     }
        //                     if (!string.IsNullOrEmpty(storageNodeType))
        //                     {
        //                         var secondDomain = "";
        //                         if (fileTokenArray.Length > 4)
        //                         {
        //                             secondDomain = Enum.GetName(typeof(WingInterfaceLibrary.Enum.StorageServerEnum), ToInt(fileTokenArray[fileTokenArray.Length - 3]));
        //                         }
        //                         else if (fileTokenArray.Length > 3)
        //                         {
        //                             secondDomain = Enum.GetName(typeof(WingInterfaceLibrary.Enum.StorageServerEnum), ToInt(fileTokenArray[fileTokenArray.Length - 2]));
        //                         }
        //                         else if (fileTokenArray.Length > 2)
        //                         {
        //                             secondDomain = Enum.GetName(typeof(WingInterfaceLibrary.Enum.StorageServerEnum), ToInt(fileTokenArray[fileTokenArray.Length - 1]));
        //                         }
        //                         else
        //                         {
        //                             secondDomain = Enum.GetName(typeof(WingInterfaceLibrary.Enum.StorageServerEnum), 0);
        //                         }
        //                         storageServerEnumStr = secondDomain;
        //                         if (storageNodeType != "0")
        //                         {
        //                             if (!string.IsNullOrEmpty(secondDomain))
        //                             {
        //                                 secondDomain += "." + storageNodeType;
        //                             }
        //                             else
        //                             {
        //                                 secondDomain += storageNodeType;
        //                             }
        //                         }
        //                         else {
        //                             if (!string.IsNullOrEmpty(secondDomain))
        //                             {
        //                                 secondDomain += "." + ConfigurationManager.GetParammeter<StringParameter>("Storage", "StorageNode").Value;
        //                             }
        //                             else
        //                             {
        //                                 secondDomain += ConfigurationManager.GetParammeter<StringParameter>("Storage", "StorageNode").Value;
        //                             }
        //                         }
        //                         var bucketType = "0";
        //                         if (fileTokenArray.Length > 4)
        //                         {
        //                             bucketType = fileTokenArray[fileTokenArray.Length - 1];
        //                         }
        //                         if (bucketType == "0") {
        //                             bucketType = ConfigurationManager.GetParammeter<StringParameter>("Storage", "Bucket").Value;
        //                         }
        //                         if (!string.IsNullOrEmpty(bucketType))
        //                         {
        //                             if (string.IsNullOrEmpty(secondDomain))
        //                             {
        //                                 secondDomain = bucketType;
        //                             }
        //                             else
        //                             {
        //                                 secondDomain = bucketType + "." + secondDomain;
        //                             }
        //                         }
        //                         if (storageServerEnumStr == "COS")
        //                         {
        //                             _storageServerUrl = StorageSettingsParam.CDNServerUrl + secondDomain + ".myqcloud.com";
        //                         }
        //                         else
        //                         {
        //                             _storageServerUrl = StorageSettingsParam.CDNServerUrl + "/" + secondDomain;
        //                         }
        //                         //_storageServerUrl = _storageServerUrl.Replace("_", "-");
        //                     }
        //                     else
        //                     {
        //                         fileList.Add(string.Empty);
        //                         continue;
        //                     }
        //                     var name = "";
        //                     var fileExtension = "";
        //                     //生成文件
        //                     if (fileTokenArray.Length > 4)
        //                     {
        //                         int.TryParse(fileTokenArray[fileTokenArray.Length - 4], out int extensionNum);
        //                         fileExtension = Enum.GetName(typeof(UploadFileTypeEnum), extensionNum);
        //                         for (var i = 0; i < (fileTokenArray.Length - 4); i++)
        //                         {
        //                             name += fileTokenArray[i];
        //                         }
        //                     }
        //                     else
        //                     {
        //                         if (fileTokenArray.Length > 1)
        //                         {
        //                             int.TryParse(fileTokenArray[1], out int extensionNum);
        //                             fileExtension = Enum.GetName(typeof(UploadFileTypeEnum), extensionNum);
        //                             name += fileTokenArray[0];
        //                         }
        //                         else
        //                         {
        //                             fileExtension = Enum.GetName(typeof(UploadFileTypeEnum), 7);
        //                             name = fileToken;
        //                         }
        //                     }
        //                     string fileName = $"{name}.{fileExtension}";
        //                     var fileUrl = $"{_storageServerUrl}/{fileName}";
        //                     if (storageServerEnumStr == "COS")
        //                     {
        //                         fileUrl = fileUrl.ToLower();
        //                     }
        //                     fileList.Add(fileUrl);
        //                 }
        //             }
        //         }
        //         return fileList.ToArray();
        //     }
        //     catch (Exception ex)
        //     {
        //         Logger.WriteLineError($"GetFileUrlByTokenList error {ex}");
        //         return fileList.ToArray();
        //     }
        // }

        /// <summary>
        /// convert sting to int
        /// </summary>
        /// <param name="str">string</param>
        /// <param name="defaultValue">default Value</param>
        /// <returns></returns>
        public int ToInt(string str, int defaultValue = 0)
        {
            if (string.IsNullOrWhiteSpace(str)) return defaultValue;
            int.TryParse(str, out defaultValue);
            return defaultValue;
        }

    }
}