﻿using System;
using WingInterfaceLibrary.OpLog;

namespace WingMongoDBModule.DBSync
{
    public class OperationLog
    {
        /// <summary>
        /// An increment id
        /// </summary>
        public long Id { get; set; }

        /// <summary>
        /// 数据集名称
        /// </summary>
        public string CollectionName { get; set; }

        /// <summary>
        /// 操作类型
        /// </summary>
        public MongoDBActionTypeEnum ActionType { get; set; }

        /// <summary>
        /// Bson content
        /// </summary>
        public string BsonContent { get; set; }

        /// <summary>
        /// 过滤条件
        /// </summary>
        public string FilterContent { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// Source slave url
        /// </summary>
        public string SourceUrl { get; set; }

        /// <summary>
        /// Code
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 是否为特定新DB表
        /// </summary>
        /// <value></value>
        public bool IsSimple { get; set; }

        public OperationLog()
        {
            CreateTime = DateTime.UtcNow;
        }
    }
}
