﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class AdminAuthorityGroupDO : BaseDO
    {
        /// <summary>
        /// 后台权限编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string AdminGroupCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// 备注
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 有权限管理员列表
        /// </summary>
        public List<string> AdminCodes { get; set; } = new();

        /// <summary>
        /// 权限编码集合
        /// </summary>
        public List<string> Features { get; set; } = new();

        [QueryItem]
        /// <summary>
        /// 创建权限的管理员编码
        /// </summary>
        public string CreateAdmin { get; set; }
    }
}
