﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.DO.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class AdminFeatureDO : BaseDO
    {
        /// <summary>
        /// 后台权限特性编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string FeatureCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// 权限名称
        /// </summary>
        public string FeatureName { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 父级code
        /// </summary>
        /// <value></value>
        [QueryItem]
        public string FatherCode { get; set; }

        /// <summary>
        /// 权限唯一码（样例：1001）
        /// </summary>
        /// <value></value>
        [QueryItem]
        public string UniqueCode { get; set; } = string.Empty;

        /// <summary>
        /// 权限多语言配置
        /// </summary>
        /// <returns></returns>
        public IList<UserFeatureLanguageConfigDO> LanguageConfigs { get; set; }

    }
}
