﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class AdminRoleDO : BaseDO
    {
        /// <summary>
        /// 角色编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string RoleCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        [QueryItem]
        /// <summary>
        /// 角色名称
        /// </summary>
        public string RoleName { get; set; }

        /// <summary>
        /// 前端权限组
        /// </summary>
        /// <value></value>
        public string AdminGroupCode { get; set; }

        /// <summary>
        /// 角色描述
        /// </summary>
        /// <value></value>
        public string Description { get; set; }

        /// <summary>
        /// 角色多语言配置
        /// </summary>
        /// <returns></returns>
        public List<AdminRoleLanguageConfigDO> LanguageConfigs { get; set; } = new();

    }

    /// <summary>
    /// 用户角色配置-语言
    /// </summary>
    public class AdminRoleLanguageConfigDO
    {
        /// <summary>
        /// 语言
        /// </summary>
        /// <value></value>
        public string Language { get; set; }

        /// <summary>
        /// 角色名称
        /// </summary>
        public string RoleName { get; set; }

        /// <summary>
        /// 角色描述
        /// </summary>
        /// <value></value>
        public string Description { get; set; }

     
    }
}
