﻿using System;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class BaseDO : IBaseDO
    {
        /// <summary>
        /// Code
        /// </summary>
        [UniqueItem]
        [QueryItem]
        public string Code { get; set; }

        /// <summary>
        /// Create time
        /// </summary>
        public DateTime CreateTime { get; set; } = DateTime.UtcNow;

        /// <summary>
        /// Update time
        /// </summary>
        public DateTime UpdateTime { get; set; } = DateTime.UtcNow;

        /// <summary>
        /// Is delete
        /// </summary>
        [QueryItem]
        public bool IsDelete { get; set; } = false;
    }

    /// <summary>
    /// 输出文件地址处理类
    /// </summary>
    public static class DOShare
    {
        /// <summary>
        /// 文件地址是否固定https
        /// </summary>
        /// <value></value>
        public static bool ForceHttps { get; set; }

        /// <summary>
        /// 检查更新文件地址
        /// </summary>
        /// <param name="url"></param>
        /// <returns></returns>
        public static string ChangeUrl(string url)
        {
            if (ForceHttps && !string.IsNullOrWhiteSpace(url))
            {
                if (url.StartsWith("http://"))
                {
                    return url.Replace("http://", "https://") ?? string.Empty;
                }
            }
            return url ?? string.Empty;
        }

        /// <summary>
        /// 检查更新文件地址
        /// </summary>
        /// <param name="value"></param>
        /// <returns></returns>
        public static string ReplaceAll(string value)
        {
            if (ForceHttps && !string.IsNullOrWhiteSpace(value))
            {
                if (value.Contains("http://"))
                {
                    return value.Replace("http://", "https://") ?? string.Empty;
                }
            }
            return value ?? string.Empty;
        }
    }
}
