using WingInterfaceLibrary.Enum;
using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.Mongodb.Driver;
using System.Collections.Generic;

namespace WingMongoDBModule.DO
{
    /// <summary>
    /// CMS模板配置
    /// </summary>
    public class CMSTemplateDO : BaseDO
    {
        private string _cmsBgImg;
        /// <summary>
        /// 活动banner编码
        /// </summary>
        [BsonIgnore]
        public string CMSTemplateCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// 模板名称
        /// </summary>
        [QueryItem]
        public string CMSTemplateName { get; set; }

        /// <summary>
        /// 背景色
        /// </summary>
        public string CMSBgColor { get; set; }

        /// <summary>
        /// 背景图
        /// </summary>
        public string CMSBgImg
        {
            get
            {
                return DOShare.ChangeUrl(_cmsBgImg);
            }
            set
            {
                _cmsBgImg = value;
            }
        }

        /// <summary>
        /// 是否显示最上层
        /// </summary>
        public bool IsShowTop { get; set; }

        /// <summary>
        /// 模板发布状态
        /// </summary>
        public CMSTemplateStatusTypeEnum CMSTemplateStateType { get; set; }

        /// <summary>
        /// CMS模板内容
        /// </summary>
        public string CMSTemplateJson { get; set; }

        /// <summary>
        /// 是否默认
        /// </summary>
        public bool IsDefault { get; set; } = false;

        /// <summary>
        /// 边框颜色
        /// </summary>
        public string CMSBorderColor { get; set; }

        /// <summary>
        /// 阴影比例
        /// </summary>
        public int CMSBorderShadow { get; set; }
    }
}
