﻿using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.DO.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class DeviceDataDO : BaseDO
    {
        private string _previewImageToken;
        private string  _dataToken;
        /// <summary>
        /// 设备数据编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string DeviceDataCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// 设备编码
        /// </summary>
        [QueryItem]
        public string DeviceCode { get; set; }

        /// <summary>
        /// 设备文件编码（设备数据编码）
        /// </summary>
        [QueryItem]
        public string DeviceFileCode { get; set; }

        /// <summary>
        /// 记录编码
        /// </summary>
        [QueryItem]
        public string RecordCode { get; set; }

        /// <summary>
        /// 病人编码
        /// </summary>
        [QueryItem]
        public string PatientCode { get; set; }

        /// <summary>
        /// 预览图token
        /// </summary>
        public string PreviewImageToken 
        {
             get
            {
                return DOShare.ChangeUrl(_previewImageToken);
            }
            set
            {
                _previewImageToken = value;
            }
        }

        /// <summary>
        /// 高清图token
        /// </summary>
        public string DataToken 
        {
             get
            {
                return DOShare.ChangeUrl(_dataToken);
            }
            set
            {
                _dataToken = value;
            }
        }
        /// <summary>
        /// 设备数据类型
        /// </summary>
        public DeviceDataTypeEnum DeviceDataType { get; set; }

        /// <summary>
        /// 处理结果(json)
        /// </summary>
        public string ProcessResult { get; set; }
    }
}
