﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    /// <summary>
    /// AI应用
    /// </summary>
    public class DiagnosisModuleDO : BaseDO
    {
        /// <summary>
        /// AI应用编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string DiagnosisModuleCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        [UniqueItem]
        [QueryItem]
        /// <summary>
        /// 应用标识
        /// </summary>
        public string DiagnosisModule { get; set; }

        /// <summary>
        /// 是否已开启
        /// </summary>
        public bool Enabled { get; set; }
    }
}
