﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.DTO.Dictionary;
using WingMongoDBModule.DO;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DB.DO
{
    public class DictionaryDO : BaseDO
    {
        /// <summary>
        /// 字典编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string DictionaryCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// 字典所属类型
        /// </summary>
        [QueryItem]
        public int DictionaryType { get; set; }

        /// <summary>
        /// 字典项
        /// </summary>
        /// <value></value>
        [QueryItem]
        public string Value { get; set; }

        /// <summary>
        /// 父级code
        /// </summary>
        [QueryItem]
        public string ParentCode { get; set; }

        /// <summary>
        /// 多语言配置
        /// </summary>
        /// <returns></returns>
        public List<DictionaryLanguageConfigDTO> LanguageConfigs { get; set; } = new List<DictionaryLanguageConfigDTO>();
    }
}
