using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;
using System.Linq;

namespace WingMongoDBModule.DO
{
    public class IdentityApplyInfoDO : BaseDO
    {
        private string[] _identityCard;
        private string[] _licenseCard;
        /// <summary>
        /// 申请编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string IdentityApplyCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        [QueryItem]
        /// <summary>
        /// 申请人关联Code
        /// </summary>
        public string UserCode { get; set; }

        /// <summary>
        /// 申请角色编码
        /// </summary>
        public string ApplyRoleCode { get; set; }

        /// <summary>
        /// 身份证
        /// </summary>
        public string[] IdentityCard
        {
            get
            {
                if(_identityCard!=null&&_identityCard.Length>0)
                {
                  return  _identityCard.Select(v=> DOShare.ChangeUrl(v)).ToArray();
                }
                else
                {
                   return _identityCard;
                }
            }
            set
            {
                _identityCard = value;
            }
        }

        /// <summary>
        /// 执照
        /// </summary>
        public string[] LicenseCard 
         {
            get
            {
                if(_licenseCard!=null&&_licenseCard.Length>0)
                {
                  return  _licenseCard.Select(v=> DOShare.ChangeUrl(v)).ToArray();
                }
                else
                {
                   return _licenseCard;
                }
            }
            set
            {
                _licenseCard = value;
            }
        }

        [QueryItem]
        /// <summary>
        /// 申请状态
        /// </summary>
        public ApplyStateEnum ApplyState { get; set; }

        /// <summary>
        /// 审核结果记录
        /// </summary>
        public string ApplyNote { get; set; }

        /// <summary>
        /// 擅长领域
        /// </summary>
        /// <value>"test1","test2"</value>
        public List<string> FieldList { get; set; } = new List<string>();
    }
}
