﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class OrganizationSettingDO : BaseDO
    {
        /// <summary>
        /// 组织设置编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string OrganizationSettingCode 
        { 
            get
            { 
                return Code; 
            } 
            set
            { 
                Code=value; 
            }
        }

        /// <summary>
        /// 组织编码
        /// </summary>
        [QueryItem]
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 配置字典
        /// </summary>
        [QueryItem]
        public Dictionary<string, string> Settings { get; set; } = new();
    }
}
