using WingInterfaceLibrary.Enum;
using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    /// <summary>
    /// 个人消息盒子
    /// </summary>
    public class PersonalMessageDO : BaseDO
    {
        /// <summary>
        /// 个人消息编码
        /// </summary>
        [BsonIgnore]
        public string PersonalMessageCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// 用户编码
        /// </summary>
        [QueryItem]
        public string UserCode { get; set; }

        /// <summary>
        /// 具体功能code
        /// </summary>
        public string ObjectCode { get; set; }

        /// <summary>
        /// 消息分类，是具体那个模块的消息
        /// </summary>
        public MessageCategoryEnum MessageCategory { get; set; }

        /// <summary>
        /// 消息内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 消息状态
        /// </summary>
        [QueryItem]
        public CMSMessageStatusEnum Status { get; set; }

        /// <summary>
        /// 详情页地址，如无需跳转，则为空
        /// </summary>
        public string TransferUrl { get; set; }
    }
}
