﻿using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class ReferralRecordDO : BaseDO
    {

        /// <summary>
        /// 病人code
        /// </summary>
        [QueryItem]
        public string PatientCode { get; set; }

        /// <summary>
        /// 转出时间
        /// </summary>
        /// <value></value>
        public DateTime ReferralOutTime { get; set; }

        /// <summary>
        /// 转出机构
        /// </summary>
        [QueryItem]
        public string ReferralOutOrganizationCode { get; set; }

        /// <summary>
        /// 转出事由
        /// </summary>
        public string SubjectMatter { get; set; }

        /// <summary>
        /// 转出申请人
        /// </summary>
        [QueryItem]
        public string Creator { get; set; }

        /// <summary>
        /// 转入机构
        /// </summary>
        [QueryItem]
        public string ReferralInOrganizationCode { get; set; }

        /// <summary>
        /// 转入医生
        /// </summary>
        [QueryItem]
        public string ReferralInUserCode { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [QueryItem]
        public ReferralStatusEnum ReferralStatus { get; set; }

        /// <summary>
        /// 拒绝原因
        /// </summary>
        /// <value></value>
        public string RejectReason { get; set; }

        /// <summary>
        /// 转诊记录链路codeList(按时间旧到新)
        /// </summary>
        /// <value></value>
        public List<string> ReferralCodeList { get; set; } = new List<string>();

        /// <summary>
        /// 病人详情快照
        /// </summary>
        /// <value></value>
        public PatientInfoDO PatientInfo { get; set; }

        /// <summary>
        /// 病人检查记录快照codeList
        /// </summary>
        /// <value></value>
        public List<string> RecordCodeList { get; set; } = new List<string>();

        /// <summary>
        /// 病人报告记录快照codeList
        /// </summary>
        /// <value></value>
        public List<string> ReportCodeList { get; set; } = new List<string>();

        /// <summary>
        /// 病人图像快照codeList
        /// </summary>
        /// <value></value>
        public List<string> RemedicalDataCodeList { get; set; } = new List<string>();

        /// <summary>
        /// 本次生成报告codeList
        /// </summary>
        /// <value></value>
        public List<CreateReportClass> CreateReportCodeList { get; set; } = new List<CreateReportClass>();

    }


    public class CreateReportClass
    {
        /// <summary>
        /// 哪个转诊记录
        /// </summary>
        /// <value></value>
        public string ReferralCode { get; set; }

        /// <summary>
        /// 哪个医生上传的
        /// </summary>
        /// <value></value>
        public string CreatorCode { get; set; }

        /// <summary>
        /// 报告code
        /// </summary>
        /// <value></value>
        public string ReportCode { get; set; }
    }
}
