﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    /// <summary>
    /// 报告标签
    /// </summary>
    public class ReportLabelDO : BaseDO
    {
        /// <summary>
        /// 报告标签编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string ReportLabelCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        [QueryItem]
        /// <summary>
        /// 名称
        /// </summary>
        public string LabelName { get; set; } = string.Empty;

        [QueryItem]
        /// <summary>
        /// 所属语言（代表是什么语言类型）
        /// </summary>
        /// <value></value>
        public string LanguageCode { get; set; } = string.Empty;

        [QueryItem]
        /// <summary>
        /// 服务对象
        /// </summary>
        /// <value></value>
        public ReportLabelUsageTypeEnum UsageType { get; set; }

        /// <summary>
        /// 标签值集合
        /// </summary>
        /// <value></value>
        public List<string> LabelItems { get; set; } = new();
    }
}
