﻿using System;
using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    /// <summary>
    /// 报告转发厂商配置
    /// </summary>
    public class ReportPosterDO : BaseDO
    {
        /// <summary>
        /// 报告转发配置编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string ReportPosterCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// Receiver customer name
        /// </summary>
        /// <value></value>
        public string ReceiverName { get; set; }
        /// <summary>
        /// The contact name
        /// </summary>
        /// <value></value>
        public string Contact { get; set; }
        /// <summary>
        /// The contact's phone
        /// </summary>
        /// <value></value>
        public string Phone { get; set; }
        /// <summary>
        /// Target url
        /// </summary>
        /// <value></value>
        public string TargetUrl { get; set; }
        /// <summary>
        /// Template
        /// </summary>
        /// <value></value>
        public string Template { get; set; }
        /// <summary>
        /// The report format
        /// </summary>
        /// <value></value>
        public ReportPosterTypeEnum PosterType { get; set; }
        /// <summary>
        /// The report format
        /// </summary>
        /// <value></value>
        public ReportFormatEnum ReportFormat { get; set; }
        /// <summary>
        /// The post action timeout, unit is second
        /// </summary>
        /// <value></value>
        public int PostTimeout { get; set; }
    }
}
