using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    /// <summary>
    /// 报告
    /// </summary>
    public class ReportPushRecordDO : BaseDO
    {
        /// <summary>
        /// 报告转发记录Id
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string PushRecordCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }
        /// <summary>
        /// 病人Id
        /// </summary>
        /// <value></value>
        [QueryItem]
        public string PatientId { get; set; } = string.Empty;

        /// <summary>
        /// 病人名称
        /// </summary>
        /// <value></value>
        [QueryItem]
        public string PatientName { get; set; } = string.Empty;

        /// <summary>
        ///转发推送配置Id
        /// </summary>
        [QueryItem]
        public string PoseterConfigId { get; set; } = string.Empty;

        /// <summary>
        /// 推送状态
        /// </summary>
        [QueryItem]
        public PushDataStateEnum State { get; set; }

        /// <summary>
        ///转发推送配置名称
        /// </summary>
        [QueryItem]
        public string PoseterConfigName { get; set; } = string.Empty;

        /// <summary>
        ///报告Id
        /// </summary>
        public string ReportId { get; set; } = string.Empty;

        /// <summary>
        ///病人检查记录Id
        /// </summary>
        public string PatientRecordId { get; set; } = string.Empty;

        /// <summary>
        ///推送数据默认 json 格式
        /// </summary>
        /// <value></value>
        public string PushResultToken { get; set; }
        /// <summary>
        /// 转发推送结果对方响应
        /// </summary>
        /// <value></value>
        public string PushResponse { get; set; }
    }
}
