﻿using System;
using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    /// <summary>
    /// 报告模板库
    /// </summary>
    public class ReportTemplateDO : BaseDO
    {
        /// <summary>
        /// 词库编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string ReportTemplateCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        [QueryItem]
        /// <summary>
        /// 词库名称
        /// </summary>
        public string ReportTemplateName { get; set; }

        [QueryItem]
        /// <summary>
        /// 报告模板发布状态
        /// </summary>
        /// <value></value>
        public ReportTemplateStatusTypeEnum ReportTemplateStateType { get; set; }

        [QueryItem]
        /// <summary>
        /// 报告模板类型
        /// </summary>
        /// <value></value>
        public ReportTemplateTypeEnum ReportTemplateType { get; set; }

        [QueryItem]
        /// <summary>
        /// 报告模板使用类型
        /// </summary>
        /// <value></value>
        public ReportTemplateUsageTypeEnum ReportTemplateUsageType { get; set; }

        [QueryItem]
        /// <summary>
        /// 限定所属组织
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        [QueryItem]
        /// <summary>
        /// 限定所属人
        /// </summary>
        /// <value></value>
        public string PersonalCode { get; set; }

        /// <summary>
        /// 报告模板内容
        /// </summary>
        /// <value></value>
        public string ReportTemplateJson { get; set; }

        [QueryItem]
        /// <summary>
        /// 拷贝时引用的报告模版编码
        /// </summary>
        /// <value></value>
        public string ReferenceReportTemplateCode { get; set; }

        [BsonIgnore]
        [Obsolete]
        public List<string> ReportTemplateUser { get; set; }

        /// <summary>
        /// 是否默认
        /// </summary>
        /// <value></value>
        [QueryItem]
        public bool IsDefault { get; set; }

        /// <summary>
        /// 模板预览图
        /// </summary>
        public List<ReportPreviewDO> TemplatePreviewList { get; set; } = new List<ReportPreviewDO>();

        /// <summary>
        /// 模板默认数据json
        /// </summary>
        public string ReportDatasJson { get; set; } = string.Empty;

        [QueryItem]
        /// <summary>
        /// 所属语言（代表是什么语言类型）
        /// </summary>
        /// <value></value>
        public string LanguageCode { get; set; }
    }

    /// <summary>
    /// 报告模板内容实体
    /// </summary>
    public class ReportTemplateItemDO
    {
        /// <summary>
        /// 默认值
        /// </summary>
        /// <value></value>
        public string Value { get; set; }

        /// <summary>
        /// 键
        /// </summary>
        /// <value></value>
        public string Key { get; set; }

        /// <summary>
        /// Tag
        /// </summary>
        /// <value></value>
        public string TagId { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value></value>
        public string AILanguage { get; set; }
    }
}
