﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    /// <summary>
    /// 分享记录
    /// </summary>
    public class ShareDO : BaseDO
    {
        /// <summary>
        /// 分享编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string ShareCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        [QueryItem]
        /// <summary>
        /// 服务器标识 作为短码的第一位
        /// </summary>
        public string ServerPrefix { get; set; } = string.Empty;

        [UniqueItem]
        [QueryItem]
        /// <summary>
        /// 分享码-短码
        /// </summary>
        public string ShortCode { get; set; } = string.Empty;

        /// <summary>
        /// 分享内容
        /// </summary>
        /// <value></value>
        public string ShareContent { get; set; } = string.Empty;
    }
}
