﻿using System;
using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    /// <summary>
    /// 统计规则配置表
    /// </summary>
    public class StatisticDO : BaseDO
    {
        /// <summary>
        /// 统计规则编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string StatisticCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        /// <value></value>
        public string Description { get; set; }

        /// <summary>
        /// 间隔时间Cron配置
        /// </summary>
        /// <value></value>
        public string IntervalSetting { get; set; }

        /// <summary>
        /// 有效性
        /// </summary>
        /// <value></value>
        [QueryItem]
        public bool Enabled { get; set; }

        /// <summary>
        /// 实现类类名
        /// </summary>
        /// <value></value>
        public string HandleClass { get; set; }

        /// <summary>
        /// 服务器地址
        /// </summary>
        /// <value></value>
        public string ServerHost { get; set; }

        /// <summary>
        /// 统计平台
        /// </summary>
        public StatisticsPlatformEnum StatisticsPlatform { get; set; }
    }
}
