﻿using System;
using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.DO.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class TokenDO : BaseDO
    {

        /// <summary>
        /// The token version
        /// </summary>
        /// <value></value>
        [QueryItem]
        public int Version { get; set; }
        /// <summary>
        /// The Account Type of logined client
        /// </summary>
        /// <value></value>
        [QueryItem]
        public AccountType AccountType { get; set; }
        /// <summary>
        /// The Account name
        /// </summary>
        /// <value></value>
        [QueryItem]
        public string AccountName { get; set; } = string.Empty;
        /// <summary>
        /// The plateform the account logined
        /// </summary>
        /// <value></value>
        [QueryItem]
        public Platform Platform { get; set; }

        /// <summary>
        /// The login source of account
        /// </summary>
        /// <value></value>
        [QueryItem]
        public LoginSource LoginSource { get; set; }

        /// <summary>
        /// The Client Id(User code , admin code or device code)
        /// </summary>
        /// <value></value>
        [QueryItem]
        public string ClientId { get; set; }

        /// <summary>
        /// The Login server url
        /// </summary>
        /// <value></value>
        [QueryItem]
        public string LoginServer { get; set; }

        /// <summary>
        /// Token expiretion time
        /// </summary>
        /// <value></value>
        public DateTime Expiration { get; set; }

        /// <summary>
        /// The client ip address
        /// </summary>
        /// <value></value>
        [QueryItem]
        public long IpValue { get; set; }

        /// <summary>
        /// The token online state
        /// </summary>
        /// <value></value>
        public bool IsOnline { get; set; }

        /// <summary>
        /// 安装版本
        /// </summary>
        /// <value></value>
        public string InstallVersion { get; set; }

        /// <summary>
        /// 是否老平台
        /// </summary>
        /// <value></value>
        public bool IsOldPlatform { get; set; }

        /// <summary>
        /// 连接方式
        /// </summary>
        /// <value></value>
        [QueryItem]
        public ProxyTypeEnum ProxyType { get; set; } = ProxyTypeEnum.Old;
    }
}
