﻿using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    /// <summary>
    /// 用户扩展表
    /// </summary>
    public class UserExtendsDO : BaseDO
    {
        /// <summary>
        /// 词库编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string UserExtendsCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        [QueryItem]
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        [QueryItem]
        /// <summary>
        /// 默认词条库编码
        /// </summary>
        /// <value></value>
        public string DefaultThesaurusCode { get; set; }

        [QueryItem]
        /// <summary>
        /// 默认报告模板编码
        /// </summary>
        /// <value></value>
        public string DefaultReportTemplateCode { get; set; }

        [QueryItem]
        /// <summary>
        /// 语言
        /// </summary>
        /// <value></value>
        public string LanguageCode { get; set; }
    }
}
