﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class UserPositionDO : BaseDO
    {
        /// <summary>
        /// 角色编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string PositionCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        [QueryItem]
        /// <summary>
        /// 角色名称
        /// </summary>
        public string PositionName { get; set; }

        /// <summary>
        /// 下属编码集合
        /// </summary>
        /// <value></value>
        public List<string> UnderUserCodes { get; set; } = new();

        [QueryItem]
        /// <summary>
        /// 组织编码（可空，空则为公开）
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        [QueryItem]
        /// <summary>
        /// 适用部门编码（可空，空则为公开）
        /// </summary>
        /// <value></value>
        public string FitDepartmentCode { get; set; }
    }
}
