﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class UserSettingDO : BaseDO
    {
        /// <summary>
        /// 角色编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string UserSettingCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// 配置字典
        /// </summary>
        [QueryItem]
        public Dictionary<string, string> Settings { get; set; } = new();

        /// <summary>
        /// 版本号，用于客户端做校验
        /// </summary>
        public string EditionNumber { get; set; }
    }
}
