﻿using System;
using WingMongoDBModule.Mongodb.Driver;
using WingMongoDBModule.DO;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// basic Entity
    /// </summary>
    public class BaseEntity : IBaseDO
    {
        /// <summary>
        /// The unique database table id
        /// </summary>
        /// <returns></returns>
        public string Id { get; set; } = Guid.NewGuid().ToString("N");

        /// <summary>
        /// Code
        /// </summary>
        [UniqueItem]
        [QueryItem]
        public string Code { get; set; }

        /// <summary>
        /// Create time
        /// </summary>
        public DateTime CreateTime { get; set; } = DateTime.UtcNow;

        /// <summary>
        /// Update time
        /// </summary>
        public DateTime UpdateTime { get; set; } = DateTime.UtcNow;

        /// <summary>
        /// Is delete
        /// </summary>
        [QueryItem]
        public bool IsDelete { get; set; } = false;
    }
}
