using System.Collections.Generic;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 品牌型号输出配置
    /// </summary>
    public class BrandModelOutputConfig : BaseEntity
    {
        /// <summary>
        /// 品牌名称
        /// </summary>
        /// <value></value>
        public string Brand { get; set; }

        /// <summary>
        /// 设备型号
        /// </summary>
        /// <value></value>
        public string Model { get; set; }

        /// <summary>
        /// 分辨率列表
        /// </summary>
        /// <value></value>
        public List<Resolution> Resolutions { get; set; }
    }

    /// <summary>
    /// 分辨率信息
    /// </summary>
    public class Resolution
    {
        /// <summary>
        /// 设备唯一码
        /// </summary>
        /// <value></value>
        public string ShortCode { get; set; }

        /// <summary>
        /// 画面宽度
        /// </summary>
        /// <value></value>
        public int VideoWidth { get; set; }

        /// <summary>
        /// 画面高度
        /// </summary>
        /// <value></value>
        public int VideoHeight { get; set; }
    }
}