using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingMongoDBModule.DO;

namespace WingMongoDBModule.Entities
{
    public class ChatMessageEntity : BaseEntity
    {
       private string _headImage;
        /// <summary>
        /// 聊天消息类型
        /// </summary>
        /// <value>1</value>
        public ChatCmdEnum ChatCmdType { get; set; }

        /// <summary>
        /// 消息内容  json字符串
        /// </summary>
        /// <value>你好</value>
        public string Content { get; set; }

        /// <summary>
        /// 关联业务编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RelevanceCode { get; set; }

        /// <summary>
        /// 业务类型
        /// </summary>
        /// <value>1</value>
        public TransactionTypeEnum TransactionType { get; set; }

        /// <summary>
        /// 游客标识
        /// </summary>
        /// <value></value>
        public string Visitor { get; set; }

        /// <summary>
        /// 用户code
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string DisplayName { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string HeadImgUrl
         {
            get
            {
                return DOShare.ChangeUrl(_headImage);
            }
            set
            {
                _headImage = value;
            }
        }
    }
}