using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.DO;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 课程专辑信息
    /// </summary>
    public class CourseAlbumEntity : BaseEntity
    {
        private string _cover;
        /// <summary>
        /// 专辑名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 教师Code
        /// </summary>
        public string TeacherCode { get; set; }

        /// <summary>
        /// 教师名称
        /// </summary>
        public string TeacherName { get; set; }

        /// <summary>
        /// 关联课程编码信息
        /// </summary>
        public IList<string> CourseCodes { get; set; }

        /// <summary>
        /// 专辑封面
        /// </summary>
        public string Cover
        {
            get
            {
                return DOShare.ChangeUrl(_cover);
            }
            set
            {
                _cover = value;
            }
        }
        /// <summary>
        /// 专辑简介
        /// </summary>
        /// <value></value>
        public string Introduction { get; set; }

        /// <summary>
        /// 课程标签列表
        /// </summary>
        public IList<string> CourseLabelCodes { get; set; }

        /// <summary>
        /// 可见范围：国内，国外，或者两者兼有 TODO
        /// </summary>
        public CourseViewRangeEnum ViewRange { get; set; }

        /// <summary>
        /// 专辑价格 TODO
        /// </summary>
        public decimal Price { get; set; }

        /// <summary>
        /// 报名学生列表
        /// </summary>
        public IList<StudentInfoEntity> Students { get; set; } = new List<StudentInfoEntity>();

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 是否置顶
        /// </summary>
        public bool IsStick { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
    }
}