using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 课程标签表
    /// </summary>
    public class CourseLabelEntity : BaseEntity
    {
        /// <summary>
        /// 服务对象
        /// </summary>
        public OrganizationPatientTypeEnum UseObjectType { get; set; } = OrganizationPatientTypeEnum.Person;

        /// <summary>
        /// 语言名称配置
        /// </summary>
        public IList<LabelLanguageConfigEntity> LabelLanguageConfigs { get; set; }

        /// <summary>
        /// 标签类型
        /// </summary>
        public LabelTypeEnum Type { get; set; }

        /// <summary>
        /// 课程标签子课程
        /// </summary>
        public IList<CourseLabelEntity> ChildLabels { get; set; }
    }

    /// <summary>
    /// 标签语言配置实体
    /// </summary>
    public class LabelLanguageConfigEntity
    {
        /// <summary>
        /// 课程标签名称
        /// </summary>
        /// <value>青青学园</value>
        public string Name { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 是否展示
        /// </summary>
        /// <value></value>
        public bool IsShow { get; set; } = true;
    }
}