using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Device;
namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 设备更新包
    /// </summary>
    public class DevicePatchEntity : BaseEntity
    {
        /// <summary>
        /// 更新包名称
        /// </summary>
        /// <value>补丁包Test</value>
        public string Name { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        /// <value>补丁包Test描述</value>
        /// <code>0</code>
        public string Description { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value>US</value>
        public string DeviceType { get; set; }

        /// <summary>
        /// 适配软件版本
        /// </summary>
        /// <value>1.10.1</value>
        /// <code>0</code>
        public string SoftwareVersion { get; set; }

        /// <summary>
        /// 适配系统版本
        /// </summary>
        /// <value>1.2.0</value>
        ///  <code>0</code>
        public string OsVersion { get; set; }

        /// <summary>
        /// 文件路径分片列表
        /// </summary>
        /// <value></value>
        public IList<UploadDeviceFileInfoDTO> DeviceFileInfoList { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>
        /// <value>1024</value>
        public long FileSize { get; set; }

        /// <summary>
        /// 文件名
        /// </summary>
        /// <value></value>
        public string FileName { get; set; }
    }
}