using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Device;
namespace WingMongoDBModule.Entities
{
    public class DevicePrinterEntity : BaseEntity
    {
        /// <summary>
        /// 打印机名称
        /// </summary>
        /// <value>打印机Test</value>
        public string Name { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        /// <value>补丁包Test描述</value>
        /// <code>0</code>
        public string Description { get; set; }
        /// <summary>
        /// 适配系统版本
        /// </summary>
        /// <value>1.2.0</value>
        ///
        public string OsVersion { get; set; }

        /// <summary>
        /// 文件地址集合
        /// </summary>
        /// <value></value>
        public IList<UploadDeviceFileInfoDTO> FileUploadInfoList { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>
        /// <value>1024</value>
        public long FileSize { get; set; }

        /// <summary>
        /// 打印机品牌
        /// </summary>
        /// <value>hp</value>
        public string PrinterBrands { get; set; }

        /// <summary>
        /// 支持打印机型号
        /// </summary>
        /// <value>hp</value>
        public IList<string> PrinterModels { get; set; }

        /// <summary>
        /// 文件名
        /// </summary>
        /// <value>打印机驱动文件名称</value>
        public string FileName { get; set; }
    }
}