using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Enum;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 实体类：设备报告信息
    /// </summary>
    public class DeviceReportEntity : BaseEntity
    {
        /// <summary>
        /// 设备类型
        /// </summary>
        public string DeviceType { get; set; }

        /// <summary>
        /// 报告类型
        /// </summary>
        public ReportType ReportType { get; set; }

        /// <summary>
        /// 设备ID
        /// </summary>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 使用模式
        /// </summary>
        public ModeType Mode { get; set; }

        /// <summary>
        /// 最新一次治疗开始时间戳
        /// </summary>
        public DateTime Timestamp { get; set; }

        /// <summary>
        /// 是否存在数据 0x5A:无数据 0xA5:有数据
        /// </summary>
        public bool? IsReport { get; set; }

        /// <summary>
        /// 设备属性列表
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> ReportAttributes { get; set; }
    }
}