using System;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingMongoDBModule.DO;
namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 心电检查记录
    /// </summary>
    public class ElectrocardiogramEntity : BaseEntity
    {

        /// <summary>
        /// 检查数据
        /// </summary>
        /// <value></value>
        public string ExamData { get; set; }
        /// <summary>
        /// 居民姓名
        /// </summary>
        /// <value></value>
        public string PatientName { get; set; }
        /// <summary>
        /// 证件号码
        /// </summary>
        /// <value></value>
        public string CardNo { get; set; }
        /// <summary>
        /// 居民性别
        /// </summary>
        /// <value></value>
        public GenderEnum PatientGender { get; set; }
        /// <summary>
        /// 居民地址
        /// </summary>
        /// <value></value>
        public string PatientAddress { get; set; }
        /// <summary>
        /// 生日
        /// </summary>
        /// <value></value>
        public DateTime Birthday { get; set; }
        /// <summary>
        /// 体检状态
        /// </summary>
        /// <value></value>
        public ExamStateEnum ExamState { get; set; }
        /// <summary>
        /// 检查时间
        /// </summary>
        /// <value></value>
        public DateTime ExamTime { get; set; }

        /// <summary>
        /// 体检医生
        /// </summary>
        /// <value></value>
        public string ExamDoctor { get; set; }

        /// <summary>
        /// 体检号(健康体检专用)
        /// </summary>
        /// <value></value>
        public string PhysicalExamNumber { get; set; }

        /// <summary>
        /// 所属机构
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        /// <value></value>
        public string Phone { get; set; }

        /// <summary>
        /// 心电设备code
        /// </summary>
        /// <value></value>
        public string DeviceCode { get; set; }
    }
}