using System.Collections.Generic;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 试卷
    /// </summary>
    public class ExaminationPaperEntity : BaseEntity
    {
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 总分
        /// </summary>
        /// <value></value>
        public double TotalScore { get; set; }

        /// <summary>
        /// 题目列表
        /// </summary>
        /// <value></value>
        public IList<QuestionDetail> QuestionList { get; set; }

        /// <summary>
        /// 病例标签
        /// </summary>
        /// <value></value>
        public IList<string> CaseLabelCodes { get; set; }

        /// <summary>
        /// 课程标签
        /// </summary>
        /// <value></value>
        public IList<string> CourseLabelCodes { get; set; }



    }

    /// <summary>
    /// 题目
    /// </summary>
    public class QuestionDetail
    {
        /// <summary>
        /// 题目code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 分值
        /// </summary>
        /// <value></value>
        public double Score { get; set; }
    }
}