using System.Linq;
using System;
using WingMongoDBModule.Mongodb.Driver;
using WingMongoDBModule.Entities;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 添加随访信息
    /// </summary>
    public class FollowUpVisitEntity : BaseEntity
    {
        /// <summary>
        /// 预约会诊记录编码
        /// </summary>
        [QueryItem]
        public string ConsultationRecordCode { get; set; }

        /// <summary>
        /// 病人姓名
        /// </summary>
        [QueryItem]
        public string PatientName { get; set; }

        /// <summary>
        /// 病人手机号
        /// </summary>
        public string PatientPhone { get; set; }

        /// <summary>
        /// 一般情况
        /// </summary>
        public string GeneralCase { get; set; }

        /// <summary>
        /// 临床表现
        /// </summary>
        public string ClinicalSituation { get; set; }

        /// <summary>
        /// 随访医生编码
        /// </summary>
        [QueryItem]
        public string DoctorCode { get; set; }

        /// <summary>
        /// 随访时间
        /// </summary>
        public DateTime OccurredTime { get; set; }
    }
}