using System.Collections.Generic;

namespace WingMongoDBModule.Entities
{
    public class HealthPlatformDataEntity
    {
        /// <summary>
        /// 健康体检预约信息
        /// </summary>
        public class HealthExamBookingEntity : BaseEntity
        {
            /// <summary>
            /// 签约覆盖率
            /// </summary>
            /// <value></value>
            public string SignCoverageRate { get; set; }

            /// <summary>
            /// 重点人群签约覆盖率
            /// </summary>
            /// <value></value>
            public string KeyPopulationSignCoverageRate { get; set; }

            /// <summary>
            /// 签约人群服务器完成率
            /// </summary>
            /// <value></value>
            public string SignPopulationServiceCompletionRate { get; set; }

            /// <summary>
            /// 签约居民电子健康档案合格率
            /// </summary>
            /// <value></value>
            public string SignPopulationEHRQualifiedRRate { get; set; }

            /// <summary>
            /// 签约量
            /// </summary>
            /// <value></value>
            public string SignNum { get; set; }

            /// <summary>
            /// 机构数量
            /// </summary>
            /// <value></value>
            public string OrganizationNum { get; set; }

            /// <summary>
            /// 档案数量
            /// </summary>
            /// <value></value>
            public string ArchivesNum { get; set; }

            /// <summary>
            /// 互联网+签约率
            /// </summary>
            /// <value></value>
            public string InternetPlusSignRate { get; set; }

            /// <summary>
            /// 高血压签约患者控制率
            /// </summary>
            /// <value></value>        
            public string HypertensionSignControlRate { get; set; }

            /// <summary>
            /// 二型糖尿病签约患者控制率
            /// </summary>
            /// <value></value>
            public string Type2DiabetesSignControlRate { get; set; }

            /// <summary>
            /// 签约居民续约率
            /// </summary>
            /// <value></value>
            public string SignedResidentRenewalRate { get; set; }

            /// <summary>
            /// 签约居民首诊率
            /// </summary>
            /// <value></value>
            public string SignedResidentFirstConsultationRate { get; set; }

            /// <summary>
            /// 签约居民有效转诊率
            /// </summary>
            /// <value></value>
            public string SignedResidentEffectiveReferralRate { get; set; }

            /// <summary>
            /// 乡镇数据
            /// </summary>
            /// <value></value>
            public List<Township> TownshipList { get; set; }

        }


        public class Township
        {
            /// <summary>
            /// 档案数量
            /// </summary>
            /// <value></value>
            public string RecordCount { get; set; }

            /// <summary>
            /// 签约数量
            /// </summary>
            /// <value></value>
            public string SigningCount { get; set; }

            /// <summary>
            /// 今日建档数
            /// </summary>
            /// <value></value>
            public string TodayCreationCount { get; set; }

            /// <summary>
            /// 签约覆盖率
            /// </summary>
            /// <value></value>
            public string SignCoverageRate { get; set; }

            /// <summary>
            /// 人口服务率
            /// </summary>
            /// <value></value>
            public string PopulationServiceRate { get; set; }

        }

    }
}