using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// IOT设备版本实体
    /// </summary>
    public class IOTDeviceVersionEntity : BaseEntity
    {
        /// <summary>
        /// 设备类型
        /// </summary>
        public string DeviceType { get; set; }

        /// <summary>
        /// IOT设备版本类型
        /// </summary>
        public IOTDeviceVersionTypeEnum IOTDeviceVersionType { get; set; }

        /// <summary>
        /// Bin文件类型
        /// </summary>
        public DeviceBaseVersionBinTypeEnum Type { get; set; }

        /// <summary>
        /// 版本号
        /// </summary>
        public string VersionNo { get; set; }

        /// <summary>
        /// 版本代码
        /// </summary>
        public int VersionCode { get; set; }

        /// <summary>
        /// 基础默认版本，文件地址
        /// </summary>
        public string FileToken { get; set; }

        /// <summary>
        /// 打包的子版本
        /// </summary>
        public IList<IOTDeviceVersionEntity> ChildDeviceVersions { get; set; }

        /// <summary>
        /// 固件构件号
        /// </summary>
        public string FileBuildNum { get; set; }

        /// <summary>
        /// 固件类型：2-dev;3-release
        /// </summary>
        public int BaseVersionType { get; set; }
    }

}