using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request.Lab;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 实验室文件上传记录
    /// </summary>
    public class LabUploadRecordEntity : BaseEntity
    {
        /// <summary>
        /// 上传方式
        /// </summary>
        public LabUploadTypeEnum UploadType { get; set; }

        /// <summary>
        /// 是否综合分析
        /// </summary>
        /// <value></value>
        public bool IsComprehensiveAnalysis { get; set; }

        /// <summary>
        /// 是否单独分析
        /// </summary>
        /// <value></value>
        public bool IsSeparateAnalysis { get; set; }

        /// <summary>
        /// 文件夹code
        /// </summary>
        /// <value></value>
        public string FolderCode { get; set; }

        /// <summary>
        /// 文件地址信息
        /// </summary>
        /// <code>0</code>
        public IList<FileUploadInfoDTO> FileUploadInfos { get; set; }

    }
    
}