using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.ResearchEdition;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 许可证信息实体
    /// </summary>
    public class LicenseInfoEntity : BaseEntity
    {
        /// <summary>
        /// 工具生成的LicenseId
        /// </summary>
        /// <value></value>
        public string LicenseId { get; set; }

        /// <summary>
        /// 使用方名称【使用机构名称】
        /// </summary>
        /// <value></value>
        public string AgencyName { get; set; }

        /// <summary>
        /// 加密的license内容
        /// </summary>
        /// <value></value>
        public string LicenseContent { get; set; }

    }

    /// <summary>
    /// Dongle信息实体
    /// </summary>
    public class DongleInfoEntity : BaseEntity
    {
        /// <summary>
        /// dongle类型：1- software;2-customer
        /// </summary>
        /// <value></value>
        public int DongleType { get; set; }

        /// <summary>
        /// LicenseId
        /// </summary>
        /// <value></value>
        public string LicenseId { get; set; }

        /// <summary>
        /// DongleId
        /// </summary>
        /// <value></value>
        public string DongleId { get; set; }

        /// <summary>
        /// 加密的Dongle内容
        /// </summary>
        /// <value></value>
        public string DongleContent { get; set; }

    }
}