using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Storage;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 分块上传主信息实体
    /// </summary>
    public class MultiPartUploadInfoEntity : BaseEntity
    {
        /// <summary>
        /// 文件块目录
        /// </summary>
        public string PartFileDirectory { get; set; }

        /// <summary>
        /// 分块唯一标识
        /// </summary>
        public string UploadId { get; set; }

        /// <summary>
        /// 最终文件路径
        /// </summary>
        public string LastFileDirectory { get; set; }

        /// <summary>
        /// 最终文件名称
        /// </summary>
        public string LastFileName { get; set; }

        /// <summary>
        /// 最终文件大小
        /// </summary>
        public long LastFileSize { get; set; } = 0;

        /// <summary>
        /// 最终文件类型
        /// </summary>
        public string LastFileType { get; set; }

        /// <summary>
        /// 当前分块编号
        /// </summary>
        public int CurrentPartNumber { get; set; }

        /// <summary>
        /// 存储桶
        /// </summary>
        public string Bucket { get; set; }

        /// <summary>
        /// 分块列表
        /// </summary>
        public List<MultiPartUploadDetailInfoDTO> DetailList { get; set; } = new List<MultiPartUploadDetailInfoDTO>();
    }
}