using System;
using WingInterfaceLibrary.Enum;
namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 订单表实体
    /// </summary>
    public class OrderEntity : BaseEntity
    {
        /// <summary>
        /// 下单用户
        /// </summary>
        /// <value></value>
        public string OrderUserCode { get; set; }

        /// <summary>
        /// 产品编码
        /// </summary>
        /// <value></value>
        public string ProductCode { get; set; }

        /// <summary>
        /// 外部订单编码
        /// </summary>
        /// <value></value>
        public string TPORderCode { get; set; }

        /// <summary>
        /// 订单台头
        /// </summary>
        /// <value></value>
        public string OrderTitle { get; set; }

        /// <summary>
        /// 订单类型
        /// </summary>
        /// <value></value>
        public OrderTypeEnum OrderType { get; set; }

        /// <summary>
        /// 订单金额
        /// </summary>
        /// <value></value>
        public double OrderAmount { get; set; }

        /// <summary>
        /// 最后一次支付时间
        /// </summary>
        /// <value></value>
        public DateTime PayTime { get; set; } 

        /// <summary>
        /// 最后一次支付状态
        /// </summary>
        /// <value></value>
        public PayStatusEnum PayStatus { get; set; }
    }
}