using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 支付记录表
    /// </summary>
    public class PaymentRecordEntity : BaseEntity
    {
        /// <summary>
        /// 订单编号
        /// </summary>
        /// <value></value>
        public string OrderCode { get; set; }

        /// <summary>
        /// 支付金额
        /// </summary>
        /// <value></value>
        public double PayAmount { get; set; }

        /// <summary>
        /// 支付时间
        /// </summary>
        /// <value></value>
        public DateTime PayTime { get; set; }

        /// <summary>
        /// 支付状态
        /// </summary>
        /// <value></value>
        public PayStatusEnum PayStatus { get; set; }

        /// <summary>
        /// 支付方式
        /// </summary>
        /// <value></value>
        public PayTypeEnum PayType { get; set; }

        /// <summary>
        /// 支付请求信息
        /// </summary>
        /// <value></value>
        public string PayReqContent { get; set; }

        /// <summary>
        /// 支付请求结果
        /// </summary>
        /// <value></value>
        public string PayResContent { get; set; }
    }

    /// <summary>
    /// 支付地址信息
    /// </summary>
    public class PayUrlInfo : BaseEntity
    {
        /// <summary>
        /// 支付订单编码
        /// </summary>
        /// <value></value>
        public string PaymentOrderCode { get; set; }

        /// <summary>
        /// 支付短链接
        /// </summary>
        /// <value></value>
        public string PayShortLink { get; set; }

        /// <summary>
        /// 支付完整链接
        /// </summary>
        /// <value></value>
        public string PayLink { get; set; }
    }
}