using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.DO;
namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 商品信息实体
    /// </summary>
    public class ProductEntity : BaseEntity
    {
          private string _headImageToken;
        /// <summary>
        /// 商品名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 商品头图
        /// </summary>
        /// <value></value>
        public string HeadImage 
         {
            get
            {
                return DOShare.ChangeUrl(_headImageToken);
            }
            set
            {
                _headImageToken = value;
            }
        }

        /// <summary>
        /// 商品价格
        /// </summary>
        /// <value></value>
        public double Price { get; set; }

        /// <summary>
        /// 商品上架状态
        /// </summary>
        /// <value></value>
        public ProductStatusEnum Status { get; set; }

        /// <summary>
        /// 商品类型
        /// </summary>
        /// <value></value>
        public ProductTypeEnum ProductType { get; set; }

        /// <summary>
        /// 商品所属人
        /// </summary>
        /// <value></value>
        public string BelongerCode { get; set; }

        /// <summary>
        /// 商品关联业务信息
        /// </summary>
        /// <value></value>
        public string RelationInfo { get; set; }
    }
}