using System;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingMongoDBModule.DO;

namespace WingMongoDBModule.Entities
{
    public class ReferralDataEntity : BaseEntity
    {
        /// <summary>
        /// 检查code
        /// </summary>
        /// <value></value>
        public string RecordCode { get; set; }

        /// <summary>
        /// 转出医生
        /// </summary>
        /// <value></value>
        public string ReferralOutUserCode { get; set; }

        /// <summary>
        /// 转出医院
        /// </summary>
        /// <value></value>
        public string ReferralOutOrganizationCode { get; set; }

        /// <summary>
        /// 转入医生
        /// </summary>
        /// <value></value>
        public string ReferralInUserCode { get; set; }

        /// <summary>
        /// 转入医院
        /// </summary>
        /// <value></value>
        public string ReferralInOrganizationCode { get; set; }

        /// <summary>
        /// 转诊状态
        /// </summary>
        /// <value></value>
        public RecordReferralStatusEnum ReferralStatus { get; set; }

        /// <summary>
        /// 转诊时间
        /// </summary>
        /// <value></value>
        public DateTime ReferralTime { get; set; }

        /// <summary>
        /// 转诊事由
        /// </summary>
        /// <value></value>
        public string SubjectMatter { get; set; }
    }
}