using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Vital;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 体检系统-登记信息
    /// </summary>
    public class RegisterInfoEntity : BaseEntity
    {
        /// <summary>
        /// 体检号
        /// </summary>
        /// <value></value>
        public string PhysicalExamNumber { get; set; }

        /// <summary>
        /// 身份证号
        /// </summary>
        /// <value></value>
        public string IDCardNo { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        /// <value></value>
        public string Sex { get; set; }

        /// <summary>
        /// 年龄
        /// </summary>
        /// <value></value>
        public string Age { get; set; }

        /// <summary>
        /// 生日
        /// </summary>
        /// <value></value>
        public DateTime Birthday { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 手机号
        /// </summary>
        /// <value></value>
        public string Phone { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        /// <value></value>
        public string Adress { get; set; }

        /// <summary>
        /// 体检状态
        /// </summary>
        /// <value></value>
        public ExamStateEnum State { get; set; }

        /// <summary>
        /// 所属机构
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 结果与建议
        /// </summary>
        /// <value></value>
        public string ResultsAndSuggestions { get; set; }

        /// <summary>
        /// 健康指导
        /// </summary>
        /// <value></value>
        public string HealthGuidance { get; set; }

        /// <summary>
        /// 诊断异常结果，Key:"检查项"+ "_" + "检查Key"；Value: 就是具体的结果描述，包括异常或者真实数据
        /// Key用来判断是否重复显示，如有重复项，则替换
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> DiagnosisExceptionResult { get; set; }

        /// <summary>
        /// 项目类型
        /// </summary>
        /// <value></value>
        public VitalProjectTypeEnum ProjectType { get; set; }

        /// <summary>
        /// 检测编号，4位，序号（4位）
        /// </summary>
        /// <value></value>
        public string ExamNumber { get; set; }

        /// <summary>
        /// 晶奇系统登记等信息
        /// </summary>
        /// <value></value>
        public Dictionary<string, string> JingQiExamInfos { get; set; }

    }


}