using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
namespace WingMongoDBModule.Entities
{
    public class RegisterPersonInfoEntity : BaseEntity
    {
        /// <summary>
        /// 姓名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 照片
        /// </summary>
        /// <value></value>
        public string HeadImg { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        /// <value></value>
        public PatientGenderEnum Sex { get; set; }

        /// <summary>
        /// 年龄
        /// </summary>
        /// <value></value>
        public string Age { get; set; }

        /// <summary>
        /// 生日
        /// </summary>
        /// <value></value>
        public DateTime Birthday { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 身份证号
        /// </summary>
        /// <value></value>
        public string CardID { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>
        public string Remarks { get; set; }

        /// <summary>
        /// 机构
        /// </summary>
        /// <value></value>
        public string Organization { get; set; }

        /// <summary>
        /// 经纬度
        /// </summary>
        /// <value></value>
        public string Nautical { get; set; }

        /// <summary>
        /// 历史登记状态
        /// </summary>
        /// <value></value>
        public List<PersonRegisterEntity> PersonRegisterRecordList { get; set; }

        /// <summary>
        /// 卫生机构
        /// </summary>
        /// <value></value>
        public string Government { get; set; }
    }

    

    public class PersonRegisterEntity
    {
        /// <summary>
        /// 健康状态是否正常
        /// </summary>
        /// <value></value>
        public bool IsNormal { get; set; }

        /// <summary>
        /// 登记时间
        /// </summary>
        /// <value></value>
        public DateTime RegisterTime { get; set; }

    }
}