
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.DO;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 远程考核图像数据
    /// </summary>
    public class RemoteExaminationDataEntity : BaseEntity
    {

        /// <summary>
        /// DeviceCode
        /// </summary>
        public string DeviceCode { get; set; }

        /// <summary>
        /// UserCode
        /// </summary>
        public string UserCode { get; set; }

        /// <summary>
        /// ApplicationName
        /// </summary>
        public string Application { get; set; }

        private string _previewUrl;
        private string _imageUrl;
        private string _coverImageUrl;
        private string _originImageUrl;
        /// <summary>
        /// Preview url
        /// </summary>
        public string PreviewUrl
        {
            get
            {
                return DOShare.ChangeUrl(_previewUrl);
            }
            set
            {
                _previewUrl = value;
            }
        }

        /// <summary>
        /// Image url
        /// </summary>
        public string ImageUrl
        {
            get
            {
                return DOShare.ChangeUrl(_imageUrl);
            }
            set
            {
                _imageUrl = value;
            }
        }

        /// <summary>
        /// 第一帧大图url
        /// </summary>
        public string CoverImageUrl
        {
            get
            {
                return DOShare.ChangeUrl(_coverImageUrl);
            }
            set
            {
                _coverImageUrl = value;
            }
        }

        /// <summary>
        /// 源站高清图下载地址
        /// </summary>
        /// <value></value>
        public string OriginImageUrl
        {
            get
            {
                return DOShare.ChangeUrl(_originImageUrl);
            }
            set
            {
                _originImageUrl = value;
            }
        }

        /// <summary>
        /// 图像大小
        /// </summary>
        /// <value></value>
        public long ImageSize { get; set; }

        /// <summary>
        /// 文件数据类型
        /// </summary>
        public RemedicalFileDataTypeEnum FileDataType { get; set; }

        /// <summary>
        /// 测量结果数据
        /// </summary>
        /// <value></value>
        public MeasuredResultsDO MeasuredResult { get; set; }
        /// <summary>
        /// 注释结果数据
        /// </summary>
        /// <value></value>
        public ScanImageDO CommentResult { get; set; }


    }
}