using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 科研项目
    /// </summary>
    public class ResearchProjectEntity : BaseEntity
    {
        /// <summary>
        /// 项目名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 项目成员
        /// </summary>
        /// <value></value>
        public List<string> UserCodes { get; set; }

        // /// <summary>
        // /// 项目数据
        // /// </summary>
        // /// <value></value>
        // public List<ResearchProjectData> ResearchProjectDataList { get; set; }

        /// <summary>
        /// 归属人
        /// </summary>
        /// <value></value>
        public string BelongUserCode { get; set; }

        /// <summary>
        /// 创建人名称
        /// </summary>
        /// <value></value>
        public string CreatorName { get; set; }

        /// <summary>
        /// 操作人code
        /// </summary>
        /// <value></value>
        public string OperatorCode { get; set; }

        /// <summary>
        /// 操作人名称
        /// </summary>
        /// <value></value>
        public string OperatorName { get; set; }

        /// <summary>
        /// 操作时间
        /// </summary>
        /// <value></value>
        public DateTime OperateTime { get; set; }

        /// <summary>
        /// 服务对象：人用、兽用
        /// </summary>
        /// <value>0</value>
        public OrganizationPatientTypeEnum PatientType { get; set; }

        /// <summary>
        /// 介绍
        /// </summary>
        /// <value></value>
        public string Introduction { get; set; }

    }

    /// <summary>
    /// 项目数据
    /// </summary>
    public class ResearchProjectData
    {
        /// <summary>
        /// 对应病人code
        /// </summary>
        /// <value></value>
        public string PatientCode { get; set; }

        /// <summary>
        /// 病人名称
        /// </summary>
        /// <value></value>
        public string PatientName { get; set; }

        /// <summary>
        /// 设备病人id
        /// </summary>
        /// <value></value>
        public string DevicePatientId { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>
        /// <value></value>
        public string FileSize { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }
    }
}