using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.ResearchEdition;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 任务表
    /// </summary>
    public class TaskMainEntity : BaseEntity
    {
        /// <summary>
        /// 创建人名称
        /// </summary>
        /// <value></value>
        public string CreatorName { get; set; }

        /// <summary>
        /// 操作人code
        /// </summary>
        /// <value></value>
        public string OperatorCode { get; set; }

        /// <summary>
        /// 操作人名称
        /// </summary>
        /// <value></value>
        public string OperatorName { get; set; }

        /// <summary>
        /// 操作人时间
        /// </summary>
        /// <value></value>
        public DateTime OperateTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>
        public DateTime EndTime { get; set; }

        /// <summary>
        /// 任务状态
        /// </summary>
        /// <value></value>
        public VTaskStatus Status { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        /// <value></value>
        public VTaskType TaskType { get; set; }

        /// <summary>
        /// 任务名称
        /// </summary>
        /// <value></value>
        public string TaskName { get; set; }

        /// <summary>
        /// 业务code
        /// </summary>
        /// <value></value>
        public string BusinessCode { get; set; }

        /// <summary>
        /// 样本编码
        /// </summary>
        /// <value></value>
        public string PatientCode { get; set; }
    }



}