﻿using System;
using WingMongoDBModule.DO;

namespace WingMongoDBModule.Entity
{
    public sealed class MongoTable
    {
        public string Id { get; set; } = Guid.NewGuid().ToString("N");

        /// <summary>
        /// 平台相关数据，记录平台类型、标识、特性 + 自定义数据
        /// </summary>
        public MongoPlatform PlatformData { get; set; }

        /// <summary>
        /// 查询关键数据，查询关键字列表+自定义数据
        /// </summary>
        public MongoQuery QueryData { get; set; }

        /// <summary>
        /// 基础数据，存放基本数据对象，数据为Json或自定义加密格式
        /// </summary>
        public IBaseDO BaseData { get; set; }

        /// <summary>
        /// 扩展数据，存放扩展数据对象，数据为Json或自定义加密格式
        /// </summary>
        public string ExtendsData { get; set; }
    }

    public class MongoTableBase<T> where T : IBaseDO
    {
        public string Id { get; set; } = Guid.NewGuid().ToString("N");

        /// <summary>
        /// 平台相关数据，记录平台类型、标识、特性 + 自定义数据
        /// </summary>
        public MongoPlatform PlatformData { get; set; }

        /// <summary>
        /// 查询关键数据，查询关键字列表+自定义数据
        /// </summary>
        public MongoQuery QueryData { get; set; }

        /// <summary>
        /// 基础数据，存放基本数据对象，数据为Json或自定义加密格式
        /// </summary>
        public T BaseData { get; set; }

        /// <summary>
        /// 扩展数据，存放扩展数据对象，数据为Json或自定义加密格式
        /// </summary>
        public string ExtendsData { get; set; }
    }
}
