using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingMongoDBModule.Entities;
using MongoDB.Driver;

namespace WingMongoDBModule.Repositories
{
    public class ScheduleDBRepository : SimpleDBRepository<ScheduleEntity>
    {
        public ScheduleDBRepository() : base("Schedules") { }

        /// <summary>
        /// 创建索引
        /// </summary>
        /// <remarks>仅初次部署和db更新使用</remarks>
        public async  Task CreateIndexAsync()
        {
            var options = new CreateIndexOptions() { Unique = false, Background = true, Name = "StartTime" };
            var queryIndex = new IndexKeysDefinitionBuilder<ScheduleEntity>().Descending(c => c.StartTime);
            await CreateIndexModelAsync(new CreateIndexModel<ScheduleEntity>(queryIndex, options));
        }
    }
}