using System.Collections.Generic;
using MongoDB.Bson;
using MongoDB.Driver;
using WingMongoDBModule.DO;
using WingMongoDBModule.Entity;

namespace WingMongoDBModule.Request
{
    public class DBPageRequest
    {
        //
        // 摘要:
        //     当前页
        public int CurrentPage { get; set; }
        //
        // 摘要:
        //     每页数量
        public int PageSize { get; set; }
        //
        // 摘要:
        //     过滤条件
        public FilterDefinition<MongoTable> Filter { get; set; }

        /// <summary>
        /// 排序规则
        /// </summary>
        /// <value></value>
        public SortDefinition<MongoTable> Sort { get; set; }

        /// <summary>
        /// Aggregate 过滤列表
        /// </summary>
        /// <value></value>
        public List<BsonDocument> Pipeline { get; set; }
    }

    public class DBPageRequest<T> where T : IBaseDO
    {
        //
        // 摘要:
        //     当前页
        public int CurrentPage { get; set; }
        //
        // 摘要:
        //     每页数量
        public int PageSize { get; set; }
        //
        // 摘要:
        //     过滤条件
        public FilterDefinition<T> Filter { get; set; }

        /// <summary>
        /// 排序规则
        /// </summary>
        /// <value></value>
        public SortDefinition<T> Sort { get; set; }
    }
}