using System;
using WingMongoDBModule.Mongodb.Driver;
using WingMongoDBModule.Repositories;
using WingMongoDBModule.Common;
using System.Threading.Tasks;

namespace WingMongoDBModule.Upgrades
{
    /// <summary>
    /// 更新版本
    /// </summary>
    public static class UpgradeToV11
    {
        /// <summary>
        /// 更新1.1版本数据库需要执行内容
        /// </summary>
        /// <returns></returns>
        public static async Task<bool> DoUpgradeAsync()
        {
            try
            {
                await UpdateIndexAsync();
                return true;
            }
            catch (Exception e)
            {
                throw e;
            }
        }

        private static async Task UpdateIndexAsync()
        {
            var scheduleDBRepository = RepositoryFactory.Instance.Get<ScheduleDBRepository>();
            await scheduleDBRepository?.CreateIndexAsync();
        }
    }
}